      character*80 label,title,buf,text
      dimension x(50000),y(50000),r(500000),c(50000),s(50000)
      dimension xct(50000),yct(50000)
      character cmenu(11)*10
      dimension ifix(5)

      scale=0.8
      isynth=0
      iplotx=0
      iploty=0

      narg=iargc()
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:2) .eq. '-x') then
               read(buf(3:nbuf),*) gxmin
               iplotx=1
            endif
            if ( buf(1:2) .eq. '-X') then
               read(buf(3:nbuf),*) gxmax
               iplotx=1
            endif
            if ( buf(1:2) .eq. '-y') then
               read(buf(3:nbuf),*) gymin
               iploty=1
            endif
            if ( buf(1:2) .eq. '-Y') then
               read(buf(3:nbuf),*) gymax
               iploty=1
            endif
         enddo
      endif
      open(10,file='etas.out.ct')
      read(10,*) idum,idum
      read(10,*) zts, tend, tstart
      read(10,*) amag0, xmag0
      read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p 
      read(10,*) (ifix(i),i=1,5)
      read(10,*) aic2
      read(10,*) zte
      read(10,*) gra
      close(10)
      ZERO=zts
      tstart=tstart-zts
      zte=zte-zts
      tend=tend-zts
      zts=0.0
      
      i=0
      open(10,file='work.res.ct')
 3    read(10,*,end=4) j,xlon,xlat,xmag,xtm,xdep,xnum
      if ( i .eq. 0 ) j0 = j
      i=i+1
      x(i)=xtm
      y(i)=xmag
c 2015/11/20 c(i)=i -> c(i)=i-1へ修正
c 2015/11/24 c(i)=i-1 -> j へ修正
      c(i)=j
c  2015/11/25    s(i) = xnum - j0 -> s(i) = xnumへ修正
       s(i) = xnum
      goto 3
 4    close(10)
      n=i
      
c     c      iwin=0
      call pc_pscode(iwin,iwin)
      title='ETAS'//char(0)
      if (iwin .eq. 10 ) title = 'etas.ps'//char(0)
      call pc_plotinit(iwin,title,20.0,20.0,296.0,210.0,scale)
      
      call dataminmax(x,n,xmin,xmax)
c      xmin=1.0
c      xmax=5.0
      call meanscale(0,xmin,xmax,0,15,
     $     scxmin,scxmax,scxint,nxint)
      scxmin = 0.0 - scxint/2.0
      scxmin0=scxmin
      scxmax0=scxmax
      if ( iplotx .gt. 0) then
        scxmin=gxmin
        scxmax=gxmax
      endif
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $     scymin,scymax,scyint,nyint)
ccc                           scymin=0.0
      scymin=ymin-0.3
      scymax=ymax
c      call dataminmax(c,n,cmin,cmax)
      if ( isynth .eq. 0 ) then
          if ( c(n) .ge. s(n) ) then
            call dataminmax(c,n,cmin,cmax)
          else
            call dataminmax(s,n,cmin,cmax)
          endif
      endif
      call meanscale(0,cmin,cmax,0,10,
     $     sccmin,sccmax,sccint,ncint)
      x0 = 50.0
      if ( iwin .eq. 10 ) then
         y0 = 60.0
      else
         y0 = 60.0
      endif
      w = 200.0
corg      h = 130.0
      h = 80.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 6.0
      o1 = 2.0
      f2 = 4.8
c     30
 100  format(3hmu=,f9.6,1x,3hK0=,1p,e12.4,0p,1x,2hc=,f10.5)
      write(text,100) etas_mu, etas_K, etas_c
cxxxx      call pc_text(iwin,x0+w/2.0,y0+h/2.0-1.2*f1,f1,text,0.0,42,5)
c     24
 110  format(6halpha=,f7.4,1x,2hp=,f7.5)
      write(text,110) etas_alpha, etas_p
cxxxx      call pc_text(iwin,x0+w/2.0,y0+h/2.0-2.4*f1,f1,text,0.0,24,5)
c     42   
 120  format(3hM>=,f3.1,2x,2hS=,f13.6,2x,2hT=,f9.2,2x,5hTend=,f9.2)
c     write(text,120) amag0,zts,zte,tend
      write(text,120) amag0,tstart,zte,tend
cxxxx      call pc_text(iwin,x0+f1,y0+h-f1,0.8*f1,text,0.0,52,7)
c     35
 130  format(6haic/2=,1p,e12.4,2x,9hgradient=,e12.4)
      write(text,130) aic2,gra
cxxxx      call pc_text(iwin,x0+w/2.0,y0+h/2.0-3.6*f1,f1,text,0.0,41,5)
      
c      text='ETAS Fit and Prediction'
c      ntext = 23
c      call pc_text(iwin,x0+w/2.0,y0+h+f2,f1,text,0.0,ntext,2)
      
      call pc_setdash(iwin,2)
      t0 = zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tstart
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = zte
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tend
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)
      
      label = 'CUMULATIVE NUMBER OF EVENTS'
      nlength = 27
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,0,0,64)
      call dataplot(iwin,x0,y0,w,h,x,c,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,1)
      
      call pc_setcolor(iwin,255,0,0)
c      call dataplot(iwin,x0,y0,w,h,x,s,n-1,
c      2015/11/4 -> n-1 -> n
cx      call dataplot(iwin,x0,y0,w,h,x,s,n,
cx     $     scxmin,scxmax,0, sccmin,sccmax,0,
cx     $     0,2.0,1,2,0,220,0)

c  M-T plot
      if ( iwin .eq. 10 ) then
         y0 = 20.0
      else
         y0 = 20.0
      endif

      h = 35.0
      call pc_setcolor(iwin,0,0,0)
      label = 'MAGNITUDE'
      nlength = 9
      call axis(iwin,x0,y0,w,h,'W',scymin,ymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scymin,ymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,0,0,0)
      call pc_setline(iwin,1)
      do i=1,n
         x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
         x2 = x1
         y1 = y0 
         y2 = y0 + h * (y(i)-scymin)/(ymax-scymin)
         if ( iplotx .gt. 0 ) then 
           if ( x(i) .ge. scxmin .and. x(i) .le. scxmax) then
               call pc_line(iwin,x1,y1,x2,y2)
           endif
         else
           call pc_line(iwin,x1,y1,x2,y2)
         endif
c     c           write(6,*) y(i)
      enddo

c  AIC plot
      call pc_setcolor(iwin,0,0,0)
      y0 = 145.0
      h = 55.0
      i=1
      open(10,file='etasct.dat')
 11   read(10,*,end=91) xct(i),yct(i)
      i=i+1
      goto 11
 91   close(10)
      n=i-1
      call dataminmax(yct,n,cmin,cmax)
      if ( iploty .gt. 0 ) then
	cmin=gymin
        cmax=gymax
      endif
      call meanscale(0,cmin,cmax,0,10,
     $     sccmin,sccmax,sccint,ncint)
      label = 'dAIC'
      nlength = 4
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,255,0,0)
      call dataplot(iwin,x0,y0,w,h,xct,yct,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)

      call pc_flush(iwin)
      iquit = 0
      xx=5.0
      yy=5.0
      if ( iwin .lt. 10 ) then
       call pc_setcolor(iwin, 0, 32, 64)
       call pc_rect(iwin, 1.0, 1.0, 40., 10.0, 0)
       call pc_setcolor(iwin, 255, 255, 0)
       call pc_text(iwin,20.0,7.0,7.0,' QUIT ',0.0,6,5)
      endif
      call pc_flush(iwin)
      do while ( iquit .lt. 1) 
        call pc_mouse(iwin,0,mm,xx,yy)
        if ( xx .lt. 45.0 .and. yy.lt. 15.0) iquit = 1
      enddo
      call pc_plotend(iwin,1)
      stop
      end
