      character*80 label,title,buf,text,psfile
      dimension x(50000),y(50000),r(500000),c(50000),s(50000),tt(50000)
      dimension sx(100),sy(100)
      dimension ifix(5)
      character*1 fix(2)
      character*128 catalog
      fix(1)=' '
      fix(2)='*'
      ipsflag=0
      scale=0.8
      winx0=20.0
      winy0=20.0
      isynth=0
      ilabel=0
      ilog=0
      iabsyr=0

      narg=iargc()
      call getenv("ETAS_CATALOG",catalog)
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-o') then
               psfile=buf(3:nbuf)
               ipsflag=1
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:2) .eq. '-x') then
               read(buf(3:nbuf),*) winx0
            endif
            if ( buf(1:2) .eq. '-y') then
               read(buf(3:nbuf),*) winy0
            endif
            if ( buf(1:2) .eq. '-t') then
               read(buf(3:nbuf),*) isynth
            endif
            if ( buf(1:2) .eq. '-n') then
               read(buf(3:nbuf),*) intm
               if ( intm .gt. 0 ) then
                   ilog=1
               endif
            endif
            if ( buf(1:2) .eq. '-l') then
               label=buf(3:nbuf)
               nlabel = len_trim(label)
               ilabel=1
            endif
            if ( buf(1:2) .eq. '-a') then
               read(buf(3:nbuf),*) iabsyr
            endif
         enddo
      endif
c      if ( narg .lt.1 ) then
c         iwin=0
c      else
c        call getarg(1,buf)
c        read(buf,*) iwin
c      endif
c      if ( narg .eq. 2 ) then
c	call getarg(2,psfile)
c        ipsflag=1
c      endif

Ceic02{tsuru}1436: more etas.out
C 9 2
C  0.  621.56311  0.00999999978
C  3.  7.19999981
C  0.  61.1984408  0.105569958  2.46152257  1.06832844
C -599.247714
C  621.56311
C  1.57814968E-11
      open(10,file='etas.out')
      read(10,*) idum,idum
      read(10,*) zts, tend, tstart
      read(10,*) amag0, xmag0
      read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p 
      read(10,*) (ifix(i),i=1,5)
      read(10,*) aic2
      read(10,*) zte
      read(10,*) gra
      close(10)

      i=0
      open(10,file='work.res')
  3   read(10,*,end=4) j,xlon,xlat,xmag,xtm,xdep,xnum
      if ( i .eq. 0 ) j0 = j
           i=i+1
           x(i)=xtm
           if ( ilog .gt. 0 .and. xtm .gt. 0.0 ) then
             x(i)=log10(xtm)
           endif
           y(i)=xmag
c           c(i)=i  --> i-1 2015/11/20に修正
c           c(i)=i  --> j 2015/11/24に修正
            c(i)=j
c s(i) = xnum - j0 20151124
	    s(i) = xnum 
      goto 3
  4   close(10)

      if ( ilog .gt. 0) then
           x(1)=x(2)
      endif
      n=i

cc      iwin=0
      call pc_pscode(iwin,iwin)
      title='ETAS'//char(0)
      if (iwin .eq. 10 ) title = 'etas.ps'//char(0)
      if (ipsflag .eq. 1 ) then
	npsfile=len_trim(psfile)
        title=psfile(1:npsfile)//char(0)
      endif
      call pc_plotinit(iwin,title,winx0,winy0,296.0,210.0,scale)
      nlen=len_trim(catalog)
cccc      call pc_text(iwin,3.,0.5,3.,catalog(1:nlen),0.0,nlen,1)
      if ( ilabel .gt. 0 ) then
          call pc_text(iwin,3.,205.0,3.,label(1:nlabel),0.0,nlabel,7)
      endif

      call dataminmax(x,n,xmin,xmax)
c 2016/11/11
      xmax=tend
      call meanscale(0,xmin,xmax,0,10,
     $                     scxmin,scxmax,scxint,nxint)
      if ( ilog .eq. 0 ) then
       scxmin = 0.0 - scxint/2.0
      else
       scxmin = xmin
c       scxmin = -2.0
      endif
      scxmax = xmax
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $                     scymin,scymax,scyint,nyint)
ccc                           scymin=0.0
                           scymin=ymin-0.3
                           scymax=ymax+0.3
c 2015/11/03
      if ( isynth .eq. 0 ) then
          if ( c(n) .ge. s(n) ) then
            call dataminmax(c,n,cmin,cmax)
          else
            call dataminmax(s,n,cmin,cmax)
          endif
      endif
      if ( isynth .eq. 1) then
        call dataminmax(c,n,cmin,cmax)
      endif
      if ( isynth .eq. 2 ) then
        call dataminmax(s,n,cmin,cmax)
      endif
      call meanscale(0,cmin,cmax,0,10,
     $                     sccmin,sccmax,sccint,ncint)
      x0 = 30.0
c      if ( iwin .eq. 10 ) then
c	y0 = 100.0
c      else
      y0 = 60.0
c      endif
c      w = 170.0
      w = 110.0
      h = 130.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 6.0
      o1 = 2.0
      f2 = 4.8

cc      xx=x0+1.1*w/3.0
ccccc      xx=x0+0.1*w
ccccc      yy=y0+0.95*h-1.2*f1
      xx=x0+0.45*w
      yy=y0+0.45*h-1.2*f1
      write(text,'(3hmu=,f9.6,a1)') etas_mu, fix(ifix(1)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,13,4)
      yy=yy-1.2*f1
      if ( etas_K .lt. 1000.0 ) then
        write(text,'(3hK0=,f8.2,a1)') etas_K, fix(ifix(2)+1)
        call pc_text(iwin,xx,yy,f1,text,0.0,12,4)
      else
        write(text,'(3hK0=,1p,e12.4,a1)') etas_K, fix(ifix(2)+1)
        call pc_text(iwin,xx,yy,f1,text,0.0,16,4)
      endif
      yy=yy-1.2*f1
      write(text,'(2hc=,f10.5,a1)') etas_c, fix(ifix(3)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,13,4)
      if ( etas_alpha .gt. 0.0d0 ) then
        yy=yy-1.2*f1
        write(text,'(6halpha=,f8.4,a1)') etas_alpha, fix(ifix(4)+1)
        call pc_text(iwin,xx,yy,f1,text,0.0,15,4)
      endif
      yy=yy-1.2*f1
      write(text,'(2hp=,f7.5,a1)') etas_p, fix(ifix(5)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,10,4)
      yy=yy-1.2*f1
      if ( abs(aic2) .lt. 1000.0) then
         write(text,'(6haic/2=,f8.2)') aic2
         call pc_text(iwin,xx,yy,f1,text,0.0,14,4)
      else
         write(text,'(6haic/2=,1p,e12.4)') aic2
         call pc_text(iwin,xx,yy,f1,text,0.0,18,4)
      endif
cc      yy=yy-2.4*f1
cc      xx=x0+0.4*w
cc      yy=y0+0.2*h-1.2*f1
ccc      xx=x0+0.1*w
ccc      yy=y0+0.99*h-0.2*f1
ccc      write(text,'(6haic/2=,1p,e12.4)') aic2
ccc      call pc_text(iwin,xx,yy,f1,text,0.0,18,4)
ccc      yy=yy-1.2*f1
ccc      write(text,'(9hgradient=,1p,e12.4)') gra
ccc      call pc_text(iwin,xx,yy,f1,text,0.0,21,4)

c 100  format(3hmu=,f5.2,a1,1x,3hK0=,1p,e12.4,0p,a1,1x,2hc=,f10.5,a1)
c      write(text,100) etas_mu, fix(ifix(1)+1), etas_K, fix(ifix(2)+1), 
c     $                etas_c, fix(ifix(3)+1)
c      call pc_text(iwin,x0+w/2.0,y0+h/2.0-1.2*f1,f1,text,0.0,40,5)
      
c 110  format(6halpha=,f7.4,a1,1x,2hp=,f7.5,a1)
c      write(text,110) etas_alpha, fix(ifix(4)+1), 
c     $                etas_p, fix(ifix(5)+1)
c      call pc_text(iwin,x0+w/2.0,y0+h/2.0-2.4*f1,f1,text,0.0,25,5)
c 120  format(3hM>=,f3.1,2x,2hS=,f11.6,2x,2hT=,f7.2,2x,5hTend=,f7.2)
c      write(text,120) amag0,tstart,zte,tend
c      call pc_text(iwin,x0+f1,y0+h-f1,f1,text,0.0,46,7)
c 130  format(6haic/2=,1p,e12.4,2x,9hgradient=,e12.4)
c      write(text,130) aic2,gra
c      call pc_text(iwin,x0+w/2.0,y0+h/2.0-3.6*f1,f1,text,0.0,41,5)

      if ( etas_alpha .lt. 0.0001 ) then
        text='OU Fit and Prediction'
        ntext = 21
      else
        text='ETAS Fit and Prediction'
        ntext = 23
      endif
      call pc_text(iwin,x0+w/2.0,y0+h+f2,f1,text,0.0,ntext,2)

      call pc_setdash(iwin,2)
      t0 = zts - zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      if ( ilog .eq. 0 ) then
      call pc_line(iwin,x1,y1,x2,y2)
      endif
      t0 = tstart -zts
      if ( ilog .gt. 0 ) then
         t0 = log10(t0)
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = zte -zts
      if ( ilog .gt. 0 ) then
         t0 = log10(t0)
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tend -zts
      if ( ilog .gt. 0 ) then
         t0 = log10(t0)
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)

      label = 'CUMULATIVE NUMBER OF EVENTS'
      nlength = 27
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      if ( ilog .gt. 0 ) then
        label = 'ORDINARY TIME Log10(DAY)'
        nlength = 24
      endif
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,0,0,64)
cccc      do jjj=1,n
cccc      write(6,*) jjj, x(jjj),c(jjj),s(jjj)
cccc      enddo
c 2016/11/17
      x(n+1)=tend
      c(n+1)=c(n)
      np1=n+1
      call dataplot(iwin,x0,y0,w,h,x,c,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,1)
c-      call dataplot(iwin,x0,y0,w,h,x,c,n,
c-     $     scxmin,scxmax,0, sccmin,sccmax,0,
c-     $     1,1.0,1,1,0,220)

c     理論のプロット    x: s(i) y:c(i)
c 2016/11/17
      x(n+1)=tend
c      s(n+1)=s(n)+(s(n)-s(n-1))/(x(n)-x(n-1))*(x(n+1)-x(n))
      s(n+1)=c(n)
      call pc_setcolor(iwin,255,0,0)
c      call dataplot(iwin,x0,y0,w,h,x,s,n-1,
c      2015/11/04 n-1 -> n
c      2016/11/17 n -> np1
      call dataplot(iwin,x0,y0,w,h,x,s,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)

c      if ( iwin .eq. 10 ) then
c        y0 = 60.0
c      else
        y0 = 20.0
c      endif
      h = 35.0
      call pc_setcolor(iwin,0,0,0)
      label = 'MAGNITUDE'
      nlength = 9
      call axis(iwin,x0,y0,w,h,'W',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      if ( ilog .gt. 0 ) then
        label = 'ORDINARY TIME Log10(DAY)'
        nlength = 24
      endif
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)

      call pc_setdash(iwin,2)
      t0 = zts -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      if ( ilog .eq. 0 ) then
      call pc_line(iwin,x1,y1,x2,y2)
      endif
      t0 = tstart -zts
      if ( ilog .gt. 0 ) then
        t0 = log10(t0)
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = zte -zts
      if ( ilog .gt. 0 ) then
        t0 = log10(t0)
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tend -zts
      if ( ilog .gt. 0 ) then
        t0 = log10(t0)
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)

c M-T Plot
      call pc_setcolor(iwin,0,0,0)
      call pc_setline(iwin,1)
      do i=1,n
           x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 
           y2 = y0 + h * (y(i)-scymin)/(scymax-scymin)
           call pc_line(iwin,x1,y1,x2,y2)
cc           write(6,*) y(i)
      enddo
      call pc_flush(iwin)
c/ normal plot

c/ transformed plot
      i=0
      izts=1
      itstart=1
      izte=1
      tend=tend-zts
      zte=zte-zts 
      tstart=tstart-zts
      zts=zts-zts
ccc   work.res
ccc   1    2            3                4       5         6          7
ccc                                                                   transformed time
ccc   -1   144.94470    38.02720         7.2     0.00000   45.00      -6.09411
      nc=0
      open(10,file='work.res')
  91   read(10,*,end=92) j,xlon,xlat,xmag,xt,xdep,xnum
      if ( i .eq. 0 ) j0 = j
      if ( xt .ge. tstart .and. xt .le. zte ) then
         nc=nc+1
      endif
cc      if ( evmag .ge. amag0 ) then 
           i=i+1
ccc           x(i) = i
ccc           x(i) = i + j0
c 20151124 xは，jである．
           x(i) = j
           y(i) = xmag
           tt(i) = xt
ccc           s(i) = xnum - j0
           s(i) = xnum 
           c(i)= j
           if ( izts .gt. 0 .and. xt .ge. zts) then
cxxx                xzts=s(i)
	        if ( i .gt. 1 ) then
	           xzts=(s(i)+s(i-1))*0.5
                else
                   xzts=s(i)
                endif
                izts = 0
           endif
           if ( itstart .gt. 0 .and. xt .ge. tstart) then
cxxx                xtstart=s(i)
	        if ( i .gt. 1 ) then
	           xtstart=(s(i)+s(i-1))*0.5
                else
                   xtstart=s(i)
                endif
                xtstart=0.0
                itstart = 0
           endif
           if ( izte .gt. 0 .and. xt .ge. zte) then
c                 xzte=s(i-1)
                dd1=abs(s(i-1)-c(i-1))
                dd2=abs(s(i)-c(i))
                if ( dd1 .ge. dd2) then
                  xzte=s(i)
                else
                  xzte=s(i-1)
                endif
                izte = 0
           endif
cc      endif
      goto 91
  92   close(10)
      n=i
      ttmax=tt(n)
cccc      do i=1,n
cccccc         c(i)=i 
ccccc         c(i)=i + j0 --> i+ j0 -1 2015/11/20に修正
ccccc         c(i)= i+ j0 -1 -> i 20151124
cccc          c(i)=i + j0 -1
cccc      enddo

c     call dataminmax(x,n,xmin,xmax)
      call dataminmax(s,n,xmin,xmax)
c 2016/11/11
      xmax=s(n)      
      call meanscale(0,xmin,xmax,0,10,
     $                     scxmin,scxmax,scxint,nxint)
ccc      scxmin = 0.0 - scxint/2.0
      scxmax = xmax
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $                     scymin,scymax,scyint,nyint)
ccc                           scymin=0.0
                           scymin=ymin-0.3
                           scymax=ymax+0.3
c 2015/11/03
      if ( isynth .eq. 0 ) then
          if ( c(n) .ge. s(n) ) then
            call dataminmax(c,n,cmin,cmax)
          else
            call dataminmax(s,n,cmin,cmax)
          endif
      endif
      if ( isynth .eq. 1) then
        call dataminmax(c,n,cmin,cmax)
      endif
      if ( isynth .eq. 2 ) then
        call dataminmax(s,n,cmin,cmax)
      endif

      call meanscale(0,cmin,cmax,0,10,
     $                     sccmin,sccmax,sccint,ncint)
      x0 = 160.0
      y0 = 60.0
      w = 110.0
      h = 130.0
      scmin = 0.0
      scmax = 100.0
      scint = 20.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 6.0
      o1 = 2.0
      f2 = 4.8

c     42   
 220  format(3hM>=,f3.1,2x,2hS=,f11.6,2x,2hT=,f7.2,2x,5hTend=,f7.2)
c      write(text,220) amag0,tstart,zte,tend
      write(text,'(3hM>=,f3.1)') amag0
      xx=x0+15.0+f1
      yy=y0+h-1.2*f1
      call pc_text(iwin,xx,yy,f1,text,0.0,6,7)
      write(text,'(3hMz=,f3.1)') xmag0
      call pc_text(iwin,xx+30.0,yy,f1,text,0.0,6,7)
      yy=yy-1.2*f1
      write(text,'(2hS=,f16.6)') tstart
      call pc_text(iwin,xx,yy,f1,text,0.0,18,7)
      yy=yy-1.2*f1
      write(text,'(2hT=,f12.2)') zte
      call pc_text(iwin,xx,yy,f1,text,0.0,14,7)
      yy=yy-1.2*f1
      write(text,'(5hTend=,f12.2)') tend
      call pc_text(iwin,xx,yy,f1,text,0.0,17,7)

c 200  format(3hmu=,f5.2,a1,1x,3hK0=,f7.3,a1,1x,2hc=,f7.5,a1)
c      write(text,200) etas_mu, fix(ifix(1)+1), etas_K, fix(ifix(2)+1), 
c     $                etas_c, fix(ifix(3)+1)
c      call pc_text(iwin,x0+2.0*f1,y0+h-3.6*f1,f1,text,0.0,32,7)
c 210  format(6halpha=,f7.4,a1,1x,2hp=,f7.5,a1)
c      write(text,210) etas_alpha, fix(ifix(4)+1), 
c     $                etas_p, fix(ifix(5)+1)
c      call pc_text(iwin,x0+2.0*f1,y0+h-4.8*f1,f1,text,0.0,25,7)
c 230  format(6haic/2=,e12.4,2x,9hgradient=,e10.4)
c      write(text,230) aic2,gra
c      call pc_text(iwin,x0+2.0*f1,y0+h-6.0*f1,f1,text,0.0,39,7)

      if ( etas_alpha .le. 0.00001 ) then
        text='OU Residual'
        ntext = 11
      else
        text='ETAS Residual'
        ntext = 13
      endif

c      if ( ttmax .lt. 3650.0) then
        call pc_text(iwin,x0+w/2.0,y0+h+2.5*f2,f1,text,0.0,ntext,2)
c      else
c        call pc_text(iwin,x0+w/2.0,y0+h+f2,f1,text,0.0,ntext,2)
c      endif

      call pc_setdash(iwin,2)
cc      t0 = zts
cc      t0 = 0.0
      t0 = xzts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = xtstart
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = xzte
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = s(n)
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = 0.0
      x1 = x0 
      x2 = x1 + w
      y1 = y0 + h * (t0 -sccmin )/(sccmax-sccmin)
      y2 = y1
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)
     
c      label = 'CUMULATIVE NUMBER OF EVENTS'
      label = ''
      nlength = 0
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'TRANSFORMED TIME'
      nlength = 16
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
c  2016/1/16
c  実時間のt=0.01, 0.1, 1.0, 10.0, 100.0 をプロットする
      scxint_l=1.0e10
      if ( ttmax .lt. 3650. and. intm .eq. 1) then
        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      else
        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint_l,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      endif
      if ( ttmax .lt. 3650.0 ) then
      xx=0.01
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'0.01',0.0,4,2)
      endif
      xx=0.1
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'0.1',0.0,3,2)
      endif
      xx=1.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'1',0.0,1,2)
      endif
      xx=10.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'10',0.0,2,2)
      endif
      xx=100.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'100',0.0,3,2)
      endif
      xx=1000.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'1000',0.0,4,2)
      endif
      endif
c   no.  longitude    latitude         mag     days     depth
c      1   141.52250    35.84350         5.6     0.00000   24.0            1926  1 10
      fyr=ttmax/365.0
      if ( fyr .ge. 10.0 ) then
        open(10,file='work.etas')
        read(10,*) text
        read(10,*) idum, xdum, xdum, xdum, xdum, xdum, 
     $             iabsyr, iabsmo, iabsdy
        close(10)
      endif
      if ( iabsyr .gt. 0 ) then
        fnyr1=0.0 + iabsyr
        fnyr2=ttmax/365.0 + iabsyr
        call meanscale(0,fnyr1,fnyr2,0,10,
     $                   fyrmin,fyrmax,fyrint,nyrint)
c        write(0,*) fyrmin,fyrmax,fyrint
        iyrmin=fyrmin+fyrint
        iyrmax=fyrmax+fyrint
        iyrint=fyrint
c        write(0,*) iyrmin,iyrmax,iyrint
        if ( iyrint .gt. 0 ) then
        do i=iyrmin,iyrmax,iyrint
           xx=julday(iabsmo,iabsdy,i)-julday(iabsmo,iabsdy,iabsyr)
           call interp(tt,s,n,xx,yy)
c           write(0,*) i, xx, scxmin, yy, scxmax
           t0 = yy
           x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 + h 
           y2 = y1 + tick
           if ( yy.ge.scxmin .and. yy.le.scxmax) then
              call pc_line(iwin,x1,y1,x2,y2)
              write(text,'(i2.2)') mod(i,100)
cc              call pc_text(iwin,x1,y2,f2,text,20.0,4,8)
              call pc_text(iwin,x1,y2+tick/2.0,f2,text,0.0,2,2)
           endif
        enddo
        do i=iyrmin,iyrmax,1
           xx=julday(iabsmo,iabsdy,i)-julday(iabsmo,iabsdy,iabsyr)
           call interp(tt,s,n,xx,yy)
c           write(0,*) i, xx, scxmin, yy, scxmax
           t0 = yy
           x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 + h 
           y2 = y1 + 0.5*tick
           if ( yy.ge.scxmin .and. yy.le.scxmax) then
              call pc_line(iwin,x1,y1,x2,y2)
           endif
        enddo
        endif
      endif

c  以下は観測をプロット s x x
      call pc_setcolor(iwin,0,0,64)
      call dataplot(iwin,x0,y0,w,h,s,x,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,1)
c   理論は，s x s
      call pc_setcolor(iwin,255,0,0)
      call dataplot(iwin,x0,y0,w,h,s,s,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)
c  2015/11/16 信頼範囲をプロットする． parabora
      if ( tend .gt. zte) then
      dx=(s(n)-xzte)/100.0
      do i=1,100
        sx(i)=xzte+dx*float(i-1)
        dx2=dx*float(i-1)
        sy(i)=sx(i)+2.0*sqrt(dx2+dx2*dx2/float(nc))
      enddo
      call dataplot(iwin,x0,y0,w,h,sx,sy,100,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)
      do i=1,100
        sx(i)=xzte+dx*float(i-1)
        dx2=dx*float(i-1)
        sy(i)=sx(i)-2.0*sqrt(dx2+dx2*dx2/float(nc))
      enddo
      call dataplot(iwin,x0,y0,w,h,sx,sy,100,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)
      endif
      y0 = 20.0
      h = 35.0
      call pc_setcolor(iwin,0,0,0)
      label = ''
      nlength = 0
      call axis(iwin,x0,y0,w,h,'W',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'TRANSFORMED TIME'
      nlength = 16
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)

      call pc_setdash(iwin,2)
ccc      t0 = 0.0
      t0 = xzts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = xtstart
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = xzte
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = s(n)
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)

      call pc_setcolor(iwin,0,0,0)
      call pc_setline(iwin,1)
      do i=1,n
cc          x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
           x1 = x0 + w * (s(i)-scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 
           y2 = y0 + h * (y(i)-scymin)/(scymax-scymin)
ccc           call pc_line(iwin,x1,y1,x2,y2)
           if ( i.eq.n) then
             call pc_plus(iwin,x2,y2,2.4,1)
           else
             call pc_plus(iwin,x2,y2,1.2,1)
           endif
cc           write(6,*) y(i)
      enddo
      call pc_flush(iwin)

c/ transformed plot
      iquit = 0
      xx=5.0
      yy=5.0
      if ( iwin .lt. 10 ) then
       call pc_setcolor(iwin, 0, 32, 64)
       call pc_rect(iwin, 1.0, 1.0, 40., 10.0, 0)
       call pc_setcolor(iwin, 255, 255, 0)
       call pc_text(iwin,20.0,7.0,7.0,' QUIT ',0.0,6,5)
      endif
      call pc_flush(iwin)
      do while ( iquit .lt. 1) 
        call pc_mouse(iwin,0,mm,xx,yy)
        if ( xx .lt. 45.0 .and. yy.lt. 15.0) iquit = 1
      enddo
      call pc_plotend(iwin,1)
      stop
      end
