      character*80 label,title,buf,text,psfile
      dimension x(50000),y(50000),r(500000),c(50000),s(50000)
      dimension ifix(5)
      character*1 fix(2)
      character*128 catalog
      fix(1)=' '
      fix(2)='*'
      ipsflag=0
      scale=0.8
      winx0=20.0
      winy0=20.0

      narg=iargc()
      call getenv("ETAS_CATALOG",catalog)
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-o') then
               psfile=buf(3:nbuf)
               ipsflag=1
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:2) .eq. '-x') then
               read(buf(3:nbuf),*) winx0
            endif
            if ( buf(1:2) .eq. '-y') then
               read(buf(3:nbuf),*) winy0
            endif
         enddo
      endif
c      if ( narg .lt.1 ) then
c         iwin=0
c      else
c        call getarg(1,buf)
c        read(buf,*) iwin
c      endif
c      if ( narg .eq. 2 ) then
c	call getarg(2,psfile)
c        ipsflag=1
c      endif

Ceic02{tsuru}1436: more etas.out
C 9 2
C  0.  621.56311  0.00999999978
C  3.  7.19999981
C  0.  61.1984408  0.105569958  2.46152257  1.06832844
C -599.247714
C  621.56311
C  1.57814968E-11
      open(10,file='etas.out')
      read(10,*) idum,idum
      read(10,*) zts, tend, tstart
      read(10,*) amag0, xmag0
      read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p 
      read(10,*) (ifix(i),i=1,5)
      read(10,*) aic2
      read(10,*) zte
      read(10,*) gra
      close(10)

      i=0
      open(10,file='work.res')
  3   read(10,*,end=4) j,xlon,xlat,xmag,xtm,xdep,xnum
      if ( i .eq. 0 ) j0 = j
           i=i+1
           x(i)=xtm
           y(i)=xmag
           c(i)=i
           s(i) = xnum - j0
      goto 3
  4   close(10)
      n=i

cc      iwin=0
      call pc_pscode(iwin,iwin)
      title='ETAS'//char(0)
      if (iwin .eq. 10 ) title = 'etas.ps'//char(0)
      if (ipsflag .eq. 1 ) then
	npsfile=len_trim(psfile)
        title=psfile(1:npsfile)//char(0)
      endif
      call pc_plotinit(iwin,title,winx0,winy0,150.0,210.0,scale)
      nlen=len_trim(catalog)
      call pc_text(iwin,3.,0.5,3.,catalog(1:nlen),0.0,nlen,1)

      call dataminmax(x,n,xmin,xmax)
      call meanscale(0,xmin,xmax,0,10,
     $                     scxmin,scxmax,scxint,nxint)
      scxmin = 0.0 - scxint/2.0
      scxmax = xmax
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $                     scymin,scymax,scyint,nyint)
ccc                           scymin=0.0
                           scymin=ymin-0.3
                           scymax=ymax
      call dataminmax(c,n,cmin,cmax)
      call meanscale(0,cmin,cmax,0,10,
     $                     sccmin,sccmax,sccint,ncint)
      x0 = 30.0
c      if ( iwin .eq. 10 ) then
c	y0 = 100.0
c      else
      y0 = 60.0
c      endif
c      w = 170.0
      w = 110.0
      h = 130.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 6.0
      o1 = 2.0
      f2 = 4.8

cc      xx=x0+1.1*w/3.0
ccccc      xx=x0+0.1*w
ccccc      yy=y0+0.95*h-1.2*f1
      xx=x0+0.5*w
      yy=y0+0.40*h-1.2*f1
      write(text,'(3hmu=,f5.2,a1)') etas_mu, fix(ifix(1)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,9,4)
      yy=yy-1.2*f1
      write(text,'(3hK0=,1p,e12.4,a1)') etas_K, fix(ifix(2)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,16,4)
      yy=yy-1.2*f1
      write(text,'(2hc=,f10.5,a1)') etas_c, fix(ifix(3)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,13,4)
      if ( etas_alpha .gt. 0.0d0 ) then
        yy=yy-1.2*f1
        write(text,'(6halpha=,f8.4,a1)') etas_alpha, fix(ifix(4)+1)
        call pc_text(iwin,xx,yy,f1,text,0.0,15,4)
      endif
      yy=yy-1.2*f1
      write(text,'(2hp=,f7.5,a1)') etas_p, fix(ifix(5)+1)
      call pc_text(iwin,xx,yy,f1,text,0.0,10,4)
cc      yy=yy-2.4*f1
cc      xx=x0+0.4*w
cc      yy=y0+0.2*h-1.2*f1
      xx=x0+0.1*w
      yy=y0+0.99*h-0.2*f1
      write(text,'(6haic/2=,1p,e12.4)') aic2
      call pc_text(iwin,xx,yy,f1,text,0.0,18,4)
      yy=yy-1.2*f1
      write(text,'(9hgradient=,1p,e12.4)') gra
      call pc_text(iwin,xx,yy,f1,text,0.0,21,4)

c 100  format(3hmu=,f5.2,a1,1x,3hK0=,1p,e12.4,0p,a1,1x,2hc=,f10.5,a1)
c      write(text,100) etas_mu, fix(ifix(1)+1), etas_K, fix(ifix(2)+1), 
c     $                etas_c, fix(ifix(3)+1)
c      call pc_text(iwin,x0+w/2.0,y0+h/2.0-1.2*f1,f1,text,0.0,40,5)
      
c 110  format(6halpha=,f7.4,a1,1x,2hp=,f7.5,a1)
c      write(text,110) etas_alpha, fix(ifix(4)+1), 
c     $                etas_p, fix(ifix(5)+1)
c      call pc_text(iwin,x0+w/2.0,y0+h/2.0-2.4*f1,f1,text,0.0,25,5)
c 120  format(3hM>=,f3.1,2x,2hS=,f11.6,2x,2hT=,f7.2,2x,5hTend=,f7.2)
c      write(text,120) amag0,tstart,zte,tend
c      call pc_text(iwin,x0+f1,y0+h-f1,f1,text,0.0,46,7)
c 130  format(6haic/2=,1p,e12.4,2x,9hgradient=,e12.4)
c      write(text,130) aic2,gra
c      call pc_text(iwin,x0+w/2.0,y0+h/2.0-3.6*f1,f1,text,0.0,41,5)

      text='ETAS Fit and Prediction'
      ntext = 23
      call pc_text(iwin,x0+w/2.0,y0+h+f2,f1,text,0.0,ntext,2)

      call pc_setdash(iwin,2)
      t0 = zts - zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tstart -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = zte -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tend -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)

      label = 'CUMULATIVE NUMBER OF EVENTS'
      nlength = 27
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,0,0,64)
      call dataplot(iwin,x0,y0,w,h,x,c,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,1)

c-      call dataplot(iwin,x0,y0,w,h,x,c,n,
c-     $     scxmin,scxmax,0, sccmin,sccmax,0,
c-     $     1,1.0,1,1,0,220)

      call pc_setcolor(iwin,255,0,0)
      call dataplot(iwin,x0,y0,w,h,x,s,n-1,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)

c      if ( iwin .eq. 10 ) then
c        y0 = 60.0
c      else
        y0 = 20.0
c      endif
      h = 35.0
      call pc_setcolor(iwin,0,0,0)
      label = 'MAGNITUDE'
      nlength = 9
      call axis(iwin,x0,y0,w,h,'W',scymin,ymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scymin,ymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)

      call pc_setdash(iwin,2)
      t0 = zts -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tstart -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = zte -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tend -zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)

      call pc_setcolor(iwin,0,0,0)
      call pc_setline(iwin,1)
      do i=1,n
           x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 
           y2 = y0 + h * (y(i)-scymin)/(ymax-scymin)
           call pc_line(iwin,x1,y1,x2,y2)
cc           write(6,*) y(i)
      enddo
      call pc_flush(iwin)
c/ normal plot

      iquit = 0
      xx=5.0
      yy=5.0
      if ( iwin .lt. 10 ) then
       call pc_setcolor(iwin, 0, 32, 64)
       call pc_rect(iwin, 1.0, 1.0, 40., 10.0, 0)
       call pc_setcolor(iwin, 255, 255, 0)
       call pc_text(iwin,20.0,7.0,7.0,' QUIT ',0.0,6,5)
      endif
      call pc_flush(iwin)
      do while ( iquit .lt. 1) 
        call pc_mouse(iwin,0,mm,xx,yy)
        if ( xx .lt. 45.0 .and. yy.lt. 15.0) iquit = 1
      enddo
      call pc_plotend(iwin,1)
      stop
      end
