#!/usr/bin/perl

$|=1;

$PROG = $ARGV[0];
$VERBOSE = $ARGV[1];

#if ( $PROG eq "" ) { $PROG = "$ENV{ETAS_HOME}/bin/etas >> work.log 2>&1";}
if ( $PROG eq "" ) { $PROG = "$ENV{ETAS_HOME}/bin/etas";}
if ( $VERBOSE eq "" ) { $VERBOSE = 0;}

$nolastloop=0;
$quick=0;
#change default setting
for($i=0;$i<=$#ARGV;$i++){
   print "$ARGV[$i]\n";
   if ( substr($ARGV[$i],0,10) eq 'NOLASTLOOP' ) {
	$nolastloop=1; print stderr "nolastloop -> true\n";
   }
   if ( substr($ARGV[$i],0,5) eq 'QUICK' ) {
        $quick = 1; print stderr "quick -> true\n";
   }
   if ( substr($ARGV[$i],0,4) eq 'fix=' ) {
        $fix = substr($ARGV[$i],4); print stderr "fix -> $fix\n";
        for($j=0;$j<5;$j++){
           $fixprm[$j]=substr($fix,$j,1);
        }
   }
}

$|=1;
$gradient=1000.0;
$fpETASOPEN = 'etas.open';
open(ETASOPEN,$fpETASOPEN);
($idum, $idum) = split(' ', <ETASOPEN>);
($zts, $zte, $tstart, $tend) = split(' ', <ETASOPEN>);
($amag0, $xmag0) = split(' ', <ETASOPEN>);
($etas_mu, $etas_K, $etas_c, $etas_alpha, $etas_p) = split(' ', <ETASOPEN>);
($fix_mu, $fix_K, $fix_c, $fix_alpha, $fix_p) = split(' ', <ETASOPEN>);
close(ETASOPEN);

$loop = 0;
do {
    $loop++;
    print stderr "LOOP =$loop\n";
    $fpETASOPEN = 'etas.open';
    open(ETASOPEN,">$fpETASOPEN");
    printf ETASOPEN "9 4\n";
    printf ETASOPEN "$zts $zte $tstart $tend\n";
    printf ETASOPEN "$amag0 $xmag0\n";
    printf ETASOPEN "$etas_mu  $etas_K  $etas_c  $etas_alpha  $etas_p\n";
    if ( $quick == 1 && loop == 1 ) {
        $nfix = $fix_mu + $fix_K;
        if ( $nfix == 2 ) {
             printf ETASOPEN "$fix_mu  $fix_K  1  1  1\n";
        } else {
             printf ETASOPEN "$fix_mu  0  1  1  1\n";
        }
    } else {
        printf ETASOPEN "$fix_mu  $fix_K  $fix_c  $fix_alpha  $fix_p\n";
    }
    close(ETASOPEN);
    if ( $VERBOSE ) {
      $kekka = system("$PROG");
    } else {
      $kekka = system("$PROG > /dev/null 2>&1");
    }
    if ( $kekka > 0 ) { exit; }
    $fpETASOUT = 'etas.out';
    open(ETASOUT,$fpETASOUT);
    ($idum, $idum) = split(' ',<ETASOUT>);
    ($xdum, $xdum, $xdum, $xdum) = split(' ',<ETASOUT>);
    ($xdum, $xdum) = split(' ',<ETASOUT>);
    ($etas_mu, $etas_K, $etas_c, $etas_alpha, $etas_p) = split(' ',<ETASOUT>);
    ($fix_mu, $fix_K, $fix_c, $fix_alpha, $fix_p) = split(' ',<ETASOUT>);
    $fix_mu = $fixprm[0]; $fix_K = $fixprm[1]; $fix_c = $fixprm[2]; $fix_alpha = $fixprm[3]; $fix_p = $fixprm[4];
    ($aic2) = split(' ',<ETASOUT>);
    ($xdum) = split(' ',<ETASOUT>);
    ($gradient) = split(' ',<ETASOUT>);
    close(ETASOUT);
    print stderr "AIC/2 = $aic2\n";
    print stderr "gradient = $gradient\n";
} while ($gradient > 0.001 && $loop < 10);

if ( $nolastloop < 1 ) {
  print stderr "LAST LOOP START\n";
  $fpETASOPEN = 'etas.open';
  open(ETASOPEN,">$fpETASOPEN");
  printf ETASOPEN "9 2\n";
  printf ETASOPEN "$zts $zte $tstart $tend\n";
  printf ETASOPEN "$amag0 $xmag0\n";
  printf ETASOPEN "$etas_mu $etas_K $etas_c $etas_alpha $etas_p\n";
  printf ETASOPEN "$fix_mu $fix_K $fix_c $fix_alpha $fix_p\n";
  close(ETASOPEN);
  if ( $VERBOSE ) {
    $kekka = system("$PROG");
  } else {
    $kekka = system("$PROG > /dev/null 2>&1");
  }
#-  system('./retas > /dev/null 2>&1');
#-  system('./etasplot');
  print stderr "--> END\n";
}
