#!/usr/bin/perl

$i=0;
$xmag1 = 999.9; $xmag2 = -999.9;
$xtm1 = 999.9;  $xtm2 = -999.9;

$|=1;
$fpWKETAS = 'work.etas';

open(WKETAS,$fpWKETAS);
<WKETAS>;
$i=0;
$np=0;
while(<WKETAS>){
    ($j,$xlon,$xlat,$xmag,$xtm,$xdep,$iyr,$imo,$idy) = split(' ');
    $i++;
    if ( $xmag <= $xmag1 ) {$xmag1 = $xmag;}
    if ( $xmag >= $xmag2 ) {$xmag2 = $xmag;}
    if ( $xtm <= $xtm1 ) {$xtm1 = $xtm;}
    if ( $xtm >= $xtm2 ) {$xtm2 = $xtm;}
    if ( $xtm <= 0.01 ) { $np++;}
}
close(WKETAS);
$n=$i;
print stderr "N = $n\n";
print stderr "$xmag1 <= M <= $xmag2\n";
print stderr "$xtm1 <= T <= $xtm2\n";

#     make etas.open default setting
$etas_mu = 0.5;
$etas_K = 10.0;
$etas_c = 0.01;
$etas_alpha = 1.2;
$etas_p = 1.15;
$zts = 0.0;
$zte = $xtm2;
$tstart = 0.01;
# tstart=0.0 & mu=0.0 の場合に初期エラーとなってしまう．2015/1/20
# $tstart = 0.0;
$tend = $zte;
$fix='00000';
for($j=0;$j<5;$j++){ $fixprm[$j]=substr($fix,$j,1); }

# おそらく c値を Mによって変えたほうがよいと思われる．
#bは，$Zts -- $tend の間に発生した地震数 $n のうち
#背景地震の割合(0<=b<=1)
$b=0.5;
$etas_mu = $b*$n/($tend-$tstart);
$etas_K = $b*($n)/(log($tend+$etas_c)-log($etas_c));

printf stderr "mu= -> $etas_mu\n";
printf stderr "K= -> $etas_K\n";

#change default setting

for($i=0;$i<=$#ARGV;$i++){
#   print "$ARGV[$i]\n";
   if ( substr($ARGV[$i],0,3) eq 'mu=' ) {
        $etas_mu = substr($ARGV[$i],3); print stderr "mu -> $etas_mu\n";
   }
   if ( substr($ARGV[$i],0,2) eq 'K=' ) {
        $etas_K = substr($ARGV[$i],2); print stderr "K -> $etas_K\n";
   }
   if ( substr($ARGV[$i],0,2) eq 'c=' ) {
        $etas_c = substr($ARGV[$i],2); print stderr "c -> $etas_c\n";
   }
   if ( substr($ARGV[$i],0,6) eq 'alpha=' ) {
        $etas_alpha = substr($ARGV[$i],6); print stderr "alpha -> $etas_alpha\n";
   }
   if ( substr($ARGV[$i],0,2) eq 'p=' ) {
        $etas_p = substr($ARGV[$i],2); print stderr "p -> $etas_p\n";
   }
   if ( substr($ARGV[$i],0,4) eq 'Mth=' ) {
        $xmag1 = substr($ARGV[$i],4); print stderr "Mth -> $xmag1\n";
   }
   if ( substr($ARGV[$i],0,3) eq 'Mz=' ) {
        $xmag2 = substr($ARGV[$i],3); print stderr "Mz -> $xmag2\n";
   }
   if ( substr($ARGV[$i],0,4) eq 'zts=' ) {
        $zts = substr($ARGV[$i],4); print stderr "zts -> $zts\n";
   }
   if ( substr($ARGV[$i],0,4) eq 'zte=' ) {
        $zte = substr($ARGV[$i],4); print stderr "zte -> $zte\n";
   }
   if ( substr($ARGV[$i],0,7) eq 'tstart=' ) {
        $tstart = substr($ARGV[$i],7); print stderr "tstart -> $tstart\n";
   }
   if ( substr($ARGV[$i],0,5) eq 'tend=' ) {
        $tend = substr($ARGV[$i],5); print stderr "tend -> $tend\n";
   }
   if ( substr($ARGV[$i],0,4) eq 'fix=' ) {
        $fix = substr($ARGV[$i],4); print stderr "fix -> $fix\n";
        for($j=0;$j<5;$j++){
	   $fixprm[$j]=substr($fix,$j,1);
        }
   }
}
 
print "9  4\n";
print "$zts $zte $tstart $tend\n";
print "$xmag1 $xmag2\n";
print "$etas_mu $etas_K $etas_c $etas_alpha $etas_p\n";
print "$fixprm[0] $fixprm[1] $fixprm[2] $fixprm[3] $fixprm[4]\n";
