#!/bin/sh

#for eic
#export ETAS_HOME=/usr/local/prog/etas


if [ "$ETAS_OPTION" = "" ]; then
 export ETAS_OPTION=""
fi


if [ -f etas.lock ]; then
   \rm etas.lock
fi
if [ ! -f CTparams.log ]; then
   touch CTparams.log
fi

cat /dev/null > CTparams.log

while getopts hc OPT
do
  case $OPT in
    "h" ) HELP="TRUE" ;;
    "c" ) CD="TRUE" ;;
  esac
done

if [ "$HELP" = "TRUE" ]; then
  cat <<EOM
Usage xetasct.sh OPTION
     OPTION -h help
            -c Change Directory to cta
e.g. xetasct.sh -c
EOM
  exit 0
fi

if [ "$CD" = "TRUE" ]; then
  DIR=cta
  mkdir $DIR
  \cp etas.out $DIR/etas.out.ct
  \cp work.etas $DIR
  \cp work.res $DIR/work.res.ct
  echo "cd $DIR"
  cd $DIR
  wish $ETAS_HOME/bin/xetastail.tcl CTparams.log &
  wish $ETAS_HOME/bin/xetasct.tcl $DIR
  cd ..
else
  \cp etas.out etas.out.ct
  \cp work.etas work.etas.ct
  \cp work.res work.res.ct
  wish $ETAS_HOME/bin/xetastail.tcl CTparams.log &
  wish $ETAS_HOME/bin/xetasct.tcl .
#  \mv etas.out.org etas.out
#  \mv work.etas.org work.etas
#  \mv work.res.org work.res
fi
