#!/usr/bin/wish

proc setup filename {
    text .t -width 80 -height 15 -yscrollcommand ".scroll set"
    scrollbar .scroll -command ".t yview"
    pack .scroll -side right -fill y
    pack .t -side left
    set ::fp [open $filename]
    seek $::fp 0 end
    fconfigure $::fp -buffering line
#    fconfigure $::fp -buffering none
}

proc read_more {} {
    set new [read $::fp]
    if [string length $new] {
	.t insert end $new
	.t see end
    }
    after 300 read_more
}

#MAIN

wm title . "ETAS log"
wm geometry . +640+5
wm resizable . 0 0

set logfile [lindex $argv 0]

setup $logfile
#setup work.log
read_more
