      character*80 label,title,buf,text,psfile,ttfile
      dimension x(50000),y(50000),a(50000),c(50000),s(50000)
      character*128 catalog

      ipsflag=0
      scale=0.8
      tmin=0.0
      tmax=0.0
      ilabel=0

      narg=iargc()
      call getenv("ETAS_CATALOG",catalog)
      iwin=0
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-o') then
               psfile=buf(3:nbuf)
               ipsflag=1
            endif
            if ( buf(1:2) .eq. '-i') then
               ttfile=buf(3:nbuf)
               open(10,file=ttfile)
               read(10,*) tmin,tmax
               close(10)
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:4) .eq. '-min') then
               read(buf(5:nbuf),*) tmin
            endif
            if ( buf(1:4) .eq. '-max') then
               read(buf(5:nbuf),*) tmax
            endif
            if ( buf(1:2) .eq. '-l') then
               label=buf(3:nbuf)
               nlabel = len_trim(label)
               ilabel=1
            endif
         enddo
      endif
c      if ( narg .lt.1 ) then
c         iwin=0
c      else
c        call getarg(1,buf)
c        read(buf,*) iwin
c      endif
c      if ( narg .eq. 2 ) then
c       call getarg(2,psfile)
c        ipsflag=1
c      endif

      i=0
      open(10,file='work.res')
  3   read(10,*,end=4) j,xlon,xlat,xmag,xt,xdep,xnum
           i=i+1
           x(i) = xlon
           y(i) = xlat
           a(i) = xmag
           s(i) = xnum 
      goto 3
  4   close(10)
      n=i

cc      iwin=0
      call pc_pscode(iwin,iwin)
      title='ETAS'//char(0)
      if (iwin .eq. 10 ) title = 'etasz.ps'//char(0)
      if (ipsflag .eq. 1 ) then
	npsfile=len_trim(psfile)
        title=psfile(1:npsfile)//char(0)
      endif
      if ( iwin .ge. 10 ) then
        call pc_plotinit(iwin,title,20.0,20.0,296.0,210.0,scale)
      else
        call pc_plotinit(iwin,title,20.0,20.0,240.0,210.0,scale)
      endif
c      nlen=len_trim(catalog)
c      call pc_text(iwin,3.,0.5,3.,catalog(1:nlen),0.0,nlen,1)
      if ( ilabel .gt. 0 ) then
          call pc_text(iwin,3.,205.0,3.,label(1:nlabel),0.0,nlabel,7)
      endif

      call dataminmax(a,n,amin,amax)
      call dataminmax(x,n,xmin,xmax)
      call meanscale(0,xmin,xmax,0,11,
     $                     scxmin,scxmax,scxint,nxint)
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $                     scymin,scymax,scyint,nyint)
      x0 = 45.0
c      if ( iwin .eq. 10 ) then
c	y0 = 100.0
c      else
      y0 = 30.0
c      endif
c      w = 170.0
      w = 150.0
      h = 150.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 4.8
      o1 = 2.0
      f2 = 4.8

      label = 'Lon'
      nlength =3
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'Lat'
      nlength = 3 
      call axis(iwin,x0,y0,w,h,'W',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)

c      call pc_setcolor(iwin,255,0,64)
c      call dataplot(iwin,x0,y0,w,h,s,c,n,
c     $     scxmin,scxmax,0, sccmin,sccmax,0,
c     $     1,2.0,1,2,0,220)
      i1flag=0
      call pc_setcolor(iwin,128,128,128)
      do i=1,n
         xx= x0 + w * ( x(i) - scxmin) / ( scxmax - scxmin)
         yy= y0 + h * ( y(i) - scymin) / ( scymax - scymin)
         if ( s(i) .ge. tmin .and. i1flag .eq. 0) then
              imin=i
              i1flag=1
         endif
         if ( s(i) .le. tmax) then
              imax=i
         endif
         size = 0.75 + 0.1*(a(i)-amin)
         call pc_circle(iwin,xx,yy,size,1)
      enddo
      call pc_setcolor(iwin,255,0,64)
      do i=imin,imax
         size = 0.75 + 0.3*(a(i)-amin)
         xx= x0 + w * ( x(i) - scxmin) / ( scxmax - scxmin)
         yy= y0 + h * ( y(i) - scymin) / ( scymax - scymin)
         call pc_circle(iwin,xx,yy,size,0)
      enddo
      call pc_flush(iwin)

      iquit = 0
      xx=5.0
      yy=5.0
      if ( iwin .lt. 10 ) then
       call pc_setcolor(iwin, 0, 32, 64)
       call pc_rect(iwin, 1.0, 1.0, 40., 10.0, 0)
       call pc_setcolor(iwin, 255, 255, 0)
       call pc_text(iwin,20.0,7.0,7.0,' QUIT ',0.0,6,5)
      endif
      call pc_flush(iwin)
      do while ( iquit .lt. 1) 
        call pc_mouse(iwin,0,mm,xx,yy)
        if ( xx .lt. 45.0 .and. yy.lt. 15.0) iquit = 1
      enddo
      call pc_plotend(iwin,1)
      stop
      end
