      character*80 label,title,buf,text,psfile,catalog
      dimension x(50000),y(50000),r(500000),c(50000),s(50000)
      dimension xa(50000), ya(50000)
      integer count(50000)
      dimension ifix(5)
      character*1 fix(2)
      fix(1)=' '
      fix(2)='*'
      ipsflag=0
      scale=0.8
      winx0=20.0
      winy0=20.0

      ih=8

      narg=iargc()
      call getenv("ETAS_CATALOG",catalog)
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-o') then
               psfile=buf(3:nbuf)
               ipsflag=1
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:2) .eq. '-x') then
               read(buf(3:nbuf),*) winx0
            endif
            if ( buf(1:2) .eq. '-y') then
               read(buf(3:nbuf),*) winy0
            endif
            if ( buf(1:2) .eq. '-h') then
               read(buf(3:nbuf),*) ih
            endif
         enddo
      endif

Ceic02{tsuru}1436: more etas.out
C 9 2
C  0.  621.56311  0.00999999978
C  3.  7.19999981
C  0.  61.1984408  0.105569958  2.46152257  1.06832844
C -599.247714
C  621.56311
C  1.57814968E-11
      open(10,file='etas.out')
      read(10,*) idum,idum
      read(10,*) zts, tend, tstart
      read(10,*) amag0, xmag0
      read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p 
      read(10,*) (ifix(i),i=1,5)
      read(10,*) aic2
      read(10,*) zte
      read(10,*) gra
      close(10)

      i=0
      tend=tend-zts
      zte=zte-zts
      tstart=tstart-zts
      zts=zts-zts
      izts=1
      itstart=1
      izte=1
ccc   work.res
ccc   1    2            3                4       5         6          7
ccc                                                                   transformed time
ccc   -1   144.94470    38.02720         7.2     0.00000   45.00      -6.09411
      open(10,file='work.res')
  1   read(10,*,end=2) j,xlon,xlat,xmag,xt,xdep,xnum
      if ( i .eq. 0 ) j0 = j
cc      if ( evmag .ge. amag0 ) then 
           i=i+1
           x(i) = i + j0
           y(i) = xmag
           s(i) = xnum
           if ( izts .gt. 0 .and. xt .ge. zts) then
cxxx                xzts=s(i)
                if ( i .gt. 1 ) then
                   xzts=(s(i)+s(i-1))*0.5
                else
                   xzts=s(i)
                endif
                izts = 0
           endif
           if ( itstart .gt. 0 .and. xt .ge. tstart) then
cxxx                xtstart=s(i)
                if ( i .gt. 1 ) then
                   xtstart=(s(i)+s(i-1))*0.5
                else
                   xtstart=s(i)
                endif
                xtsart=0.0
                itstart = 0
           endif
           if ( izte .gt. 0 .and. xt .ge. zte) then
                xzte=s(i)
                izte = 0
           endif
cc      endif
      goto 1
  2   close(10)
      n=i
      do i=1,n
         c(i)=i + j0
      enddo

        nmax=int(s(n))+1
        write(0,*) 'n= ', n, 'xmax= ', xmax, 'nmax=  ', nmax
        do i=1,nmax
         count(i)=0
        enddo
        do i=1,n
           j=int(s(i))
           if ( j .ge. 0 ) then
                count(j+1)=count(j+1)+1
           endif
        enddo
c        ih=8

       do ih=4,10
        xh=float(ih)
        n1=0
        n2=nmax-ih
        write(0,*) 'n1,n2',n1,n2
        l=1
        do i=n1,n2
           ndata=0
           do j=i,i+ih
             ndata=ndata+count(j+1)
           enddo
           p=eta(ndata,xh)
c           write(0,*) float(i)+float(ih)/2.0, p
           xa(l)=float(i)+float(ih)/2.0
           ya(l)=p
           l=l+1
        enddo
	na=l-1

        do j=1,na
         write(10,*) xa(j),xh, ya(j)
        enddo

      enddo

      stop
      end

        function eta(n,h)
        dn=float(n)
        dn1=dn+1.0
        a=33.0*dn+29.0-h-(32.*dn+31.0)*(h/dn1)**0.25
        b=9*(dn+1.0)**0.5
        eta=a/b
        return
        end
