      character*80 label,title,buf,text
      dimension x(50000),y(50000),r(500000),c(50000),s(50000)
      character cmenu(11)*10
      dimension ifix(5)

      scale=0.8
      isynth=0

      narg=iargc()
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
         enddo
      endif
c      if ( narg .lt.1 ) then
c         iwin=0
c      else
c        call getarg(1,buf)
c        read(buf,*) iwin
c      endif
c      if ( narg .eq. 2 ) then
c       call getarg(2,psfile)
c        ipsflag=1
c      endif

C     eic02{tsuru}1436: more etas.out
C     9 2
C     0.  621.56311  0.00999999978
C     3.  7.19999981
C     0.  61.1984408  0.105569958  2.46152257  1.06832844
C     -599.247714
C     621.56311
C     1.57814968E-11
      open(10,file='etas.out')
      read(10,*) idum,idum
      read(10,*) zts, tend, tstart
      read(10,*) amag0, xmag0
      read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p 
      read(10,*) (ifix(i),i=1,5)
      read(10,*) aic2
      read(10,*) zte
      read(10,*) gra
      close(10)
      ZERO=zts
      tstart=tstart-zts
      zte=zte-zts
      tend=tend-zts
      zts=0.0
      
      i=0
      open(10,file='work.res')
 3    read(10,*,end=4) j,xlon,xlat,xmag,xtm,xdep,xnum
      if ( i .eq. 0 ) j0 = j
      i=i+1
      x(i)=xtm
      y(i)=xmag
c 2015/11/20 c(i)=i -> c(i)=i-1へ修正
c 2015/11/24 c(i)=i-1 -> j へ修正
      c(i)=j
c  2015/11/25    s(i) = xnum - j0 -> s(i) = xnumへ修正
       s(i) = xnum
      goto 3
 4    close(10)
      n=i
      
c     c      iwin=0
      call pc_pscode(iwin,iwin)
      title='ETAS'//char(0)
      if (iwin .eq. 10 ) title = 'etas.ps'//char(0)
      call pc_plotinit(iwin,title,20.0,20.0,310.0,210.0,scale)
      
      call dataminmax(x,n,xmin,xmax)
      call meanscale(0,xmin,xmax,0,15,
     $     scxmin,scxmax,scxint,nxint)
      scxmin = 0.0 - scxint/2.0
      scxmin0=scxmin
      scxmax0=scxmax
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $     scymin,scymax,scyint,nyint)
ccc                           scymin=0.0
      scymin=ymin-0.3
      scymax=ymax
c      call dataminmax(c,n,cmin,cmax)
      if ( isynth .eq. 0 ) then
          if ( c(n) .ge. s(n) ) then
            call dataminmax(c,n,cmin,cmax)
          else
            call dataminmax(s,n,cmin,cmax)
          endif
      endif
      call meanscale(0,cmin,cmax,0,10,
     $     sccmin,sccmax,sccint,ncint)
      x0 = 80.0
      if ( iwin .eq. 10 ) then
         y0 = 100.0
      else
         y0 = 60.0
      endif
      w = 170.0
      h = 130.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 6.0
      o1 = 2.0
      f2 = 4.8
c     30
 100  format(3hmu=,f9.6,1x,3hK0=,1p,e12.4,0p,1x,2hc=,f10.5)
      write(text,100) etas_mu, etas_K, etas_c
      call pc_text(iwin,x0+w/2.0,y0+h/2.0-1.2*f1,f1,text,0.0,42,5)
c     24
 110  format(6halpha=,f7.4,1x,2hp=,f7.5)
      write(text,110) etas_alpha, etas_p
      call pc_text(iwin,x0+w/2.0,y0+h/2.0-2.4*f1,f1,text,0.0,24,5)
c     42   
 120  format(3hM>=,f3.1,2x,2hS=,f13.6,2x,2hT=,f9.2,2x,5hTend=,f9.2)
c     write(text,120) amag0,zts,zte,tend
      write(text,120) amag0,tstart,zte,tend
      call pc_text(iwin,x0+f1,y0+h-f1,0.8*f1,text,0.0,52,7)
c     35
 130  format(6haic/2=,1p,e12.4,2x,9hgradient=,e12.4)
      write(text,130) aic2,gra
      call pc_text(iwin,x0+w/2.0,y0+h/2.0-3.6*f1,f1,text,0.0,41,5)
      
      text='ETAS Fit and Prediction'
      ntext = 23
      call pc_text(iwin,x0+w/2.0,y0+h+f2,f1,text,0.0,ntext,2)
      
      call pc_setdash(iwin,2)
      t0 = zts
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tstart
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = zte
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = tend
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)
      
      label = 'CUMULATIVE NUMBER OF EVENTS'
      nlength = 27
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,0,0,64)
      call dataplot(iwin,x0,y0,w,h,x,c,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,1)
      
      call pc_setcolor(iwin,255,0,0)
c      call dataplot(iwin,x0,y0,w,h,x,s,n-1,
c      2015/11/4 -> n-1 -> n
      call dataplot(iwin,x0,y0,w,h,x,s,n,
     $     scxmin,scxmax,0, sccmin,sccmax,0,
     $     0,2.0,1,2,0,220,0)
      
      if ( iwin .eq. 10 ) then
         y0 = 60.0
      else
         y0 = 20.0
      endif
      h = 35.0
      call pc_setcolor(iwin,0,0,0)
      label = 'MAGNITUDE'
      nlength = 9
      call axis(iwin,x0,y0,w,h,'W',scymin,ymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scymin,ymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'ORDINARY TIME (DAY)'
      nlength = 19
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call pc_setcolor(iwin,0,0,0)
      call pc_setline(iwin,1)
      do i=1,n
         x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
         x2 = x1
         y1 = y0 
         y2 = y0 + h * (y(i)-scymin)/(ymax-scymin)
         call pc_line(iwin,x1,y1,x2,y2)
c     c           write(6,*) y(i)
      enddo
      call pc_flush(iwin)
      iquit = 0
      cmenu( 1)='tm Range  '
      cmenu( 2)='tm Reset  '
      cmenu( 3)='set zts   '
      cmenu( 4)='set tstart'
      cmenu( 5)='set zte'
      cmenu( 6)='set tend'
      cmenu( 7)='Return    '
      n_menu=7
      iquit=0
      do while(iquit.ne.1)
         call menu(iwin,10.0,190.0,n_menu,cmenu,imenu)
         write(6,*) imenu
         if ( imenu .eq. 7 ) iquit=1
         call pc_setcolor(iwin,0,0,0)
      if ( imenu .eq. 3 ) then
            call pc_mouse(iwin,0,mm,xx,yy)
            zts = scxmin+(scxmax-scxmin)*(xx-x0)/w
            call pc_setdash(iwin,2)
            t0 = zts
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,1)
            call pc_flush(iwin)
            write(6,*) 'zts=', zts
            open(30,file='etas.time')
            write(30,*) zts+ZERO, tstart+ZERO, zte+ZERO, tend+ZERO
            close(30)

            open(10,file='etas.out')
            write(10,*) idum,idum
            write(10,*) zts+ZERO, tend+ZERO, tstart+ZERO
            write(10,*) amag0, xmag0
            write(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
            write(10,*) (ifix(i),i=1,5)
            write(10,*) aic2
            write(10,*) zte+ZERO
            write(10,*) gra
            close(10)
      endif
      if ( imenu .eq. 4 ) then
            call pc_mouse(iwin,0,mm,xx,yy)
            tstart = scxmin+(scxmax-scxmin)*(xx-x0)/w
            call pc_setdash(iwin,2)
            t0 = tstart
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,1)
            call pc_flush(iwin)
            write(6,*) 'tstart=', tstart
            open(30,file='etas.time')
            write(30,*) zts+ZERO, tstart+ZERO, zte+ZERO, tend+ZERO
            close(30)
            open(10,file='etas.out')
            write(10,*) idum,idum
            write(10,*) zts+ZERO, tend+ZERO, tstart+ZERO
            write(10,*) amag0, xmag0
            write(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
            write(10,*) (ifix(i),i=1,5)
            write(10,*) aic2
            write(10,*) zte+ZERO
            write(10,*) gra
            close(10)
      endif
      if ( imenu .eq. 5 ) then
            call pc_mouse(iwin,0,mm,xx,yy)
            zte = scxmin+(scxmax-scxmin)*(xx-x0)/w
            call pc_setdash(iwin,2)
            t0 = zte
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,1)
            call pc_flush(iwin)
            write(6,*) 'zte=', zte
            open(30,file='etas.time')
            write(30,*) zts+ZERO, tstart+ZERO, zte+ZERO, tend+ZERO
            close(30)
            open(10,file='etas.out')
            write(10,*) idum,idum
            write(10,*) zts+ZERO, tend+ZERO, tstart+ZERO
            write(10,*) amag0, xmag0
            write(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
            write(10,*) (ifix(i),i=1,5)
            write(10,*) aic2
            write(10,*) zte+ZERO
            write(10,*) gra
            close(10)
      endif
      if ( imenu .eq. 6 ) then
            call pc_mouse(iwin,0,mm,xx,yy)
            tend = scxmin+(scxmax-scxmin)*(xx-x0)/w
            call pc_setdash(iwin,2)
            t0 = tend
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,1)
            call pc_flush(iwin)
            write(6,*) 'tend=', tend
            open(30,file='etas.time')
            write(30,*) zts+ZERO, tstart+ZERO, zte+ZERO, tend+ZERO
            close(30)
            open(10,file='etas.out')
            write(10,*) idum,idum
            write(10,*) zts+ZERO, tend+ZERO, tstart+ZERO
            write(10,*) amag0, xmag0
            write(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
            write(10,*) (ifix(i),i=1,5)
            write(10,*) aic2
            write(10,*) zte+ZERO
            write(10,*) gra
            close(10)
      endif
      if ( imenu .eq. 1) then
            call pc_mouse(iwin,0,mm,xx,yy)
            t1 = scxmin+(scxmax-scxmin)*(xx-x0)/w
            write(6,*) t1
            xx1=xx
            call pc_mouse(iwin,0,mm,xx,yy)
            t2 = scxmin+(scxmax-scxmin)*(xx-x0)/w
            xx2=xx
            write(6,*) t1, t2
            scxmin=t1
            scxmax=t2
            call meanscale(0,t1,t2,0,15,
     $           xxscxmin,xxscxmax,scxint,nxint)
            call pc_clear(iwin)
            w = 170.0
            h = 130.0
            y0 = 60.0
            label = 'CUMULATIVE NUMBER OF EVENTS'
            nlength = 27
            call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            label = 'ORDINARY TIME (DAY)'
            nlength = 19
            call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call pc_setcolor(iwin,0,0,64)
            call dataplot(iwin,x0,y0,w,h,x,c,n,
     $           scxmin,scxmax,0, sccmin,sccmax,0,
     $           0,2.0,1,2,0,220,1)
            call pc_setcolor(iwin,255,0,0)
            call dataplot(iwin,x0,y0,w,h,x,s,n-1,
     $           scxmin,scxmax,0, sccmin,sccmax,0,
     $           0,2.0,1,2,0,220,0)
            
            y0 = 20.0
            h = 35.0
            call pc_setcolor(iwin,0,0,0)
            label = 'MAGNITUDE'
            nlength = 9
            call axis(iwin,x0,y0,w,h,'W',scymin,ymax,scyint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'e',scymin,ymax,scyint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            label = 'ORDINARY TIME (DAY)'
            nlength = 19
            call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call pc_setcolor(iwin,0,0,128)
            call pc_setline(iwin,1)
            do i=1,n
               x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
               x2 = x1
               y1 = y0 
               y2 = y0 + h * (y(i)-scymin)/(ymax-scymin)
               if ( x(i) .ge. scxmin .and. x(i) .le. scxmax) then
ccc                  call pc_line(iwin,x1,y1,x2,y2)
                  call pc_plus(iwin,x1,y2,1.2,1)
               endif
            enddo
c               x1 = x0 + w * (0.1-scxmin)/(scxmax-scxmin)
c               x2 = x0 + w * (0.1-scxmin)/(scxmax-scxmin)
c               y1 = 10.0
c               y2 = 200.0
c               call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,2)
            t0 = zts
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            t0 = tstart
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            t0 = zte
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            t0 = tend
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,1)
            call pc_setcolor(iwin,0,0,0)
            call pc_flush(iwin)
         endif
         if ( imenu .eq. 2 ) then
            call pc_clear(iwin)
            call pc_setcolor(iwin,0,0,0)
            scxmin=scxmin0
            scxmax=scxmax0
            t1=scxmin
            t2=scxmax
            call meanscale(0,t1,t2,0,15,
     $           scxmin,scxmax,scxint,nxint)
            scxmin=0.0-scxint/2.0
            w = 170.0
            h = 130.0
            y0 = 60.0
            label = 'CUMULATIVE NUMBER OF EVENTS'
            nlength = 27
            call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            label = 'ORDINARY TIME (DAY)'
            nlength = 19
            call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call pc_setcolor(iwin,0,0,64)
            call dataplot(iwin,x0,y0,w,h,x,c,n,
     $           scxmin,scxmax,0, sccmin,sccmax,0,
     $           0,2.0,1,2,0,220,1)
            call pc_setcolor(iwin,255,0,0)
            call dataplot(iwin,x0,y0,w,h,x,s,n-1,
     $           scxmin,scxmax,0, sccmin,sccmax,0,
     $           0,2.0,1,2,0,220,0)
            y0 = 20.0
            h = 35.0
            call pc_setcolor(iwin,0,0,0)
            label = 'MAGNITUDE'
            nlength = 9
            call axis(iwin,x0,y0,w,h,'W',scymin,ymax,scyint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'e',scymin,ymax,scyint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            label = 'ORDINARY TIME (DAY)'
            nlength = 19
            call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $           ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
            call pc_setcolor(iwin,0,0,0)
            call pc_setline(iwin,1)
            do i=1,n
               x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
               x2 = x1
               y1 = y0
               y2 = y0 + h * (y(i)-scymin)/(ymax-scymin)
               if ( x(i) .ge. scxmin .and. x(i) .le. scxmax) then
                  call pc_line(iwin,x1,y1,x2,y2)
               endif
            enddo
            call pc_setdash(iwin,2)
            t0 = zts
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            t0 = tstart
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            t0 = zte
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            t0 = tend
            x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
            x2 = x1
            y1 = y0
            y2 = y0 + h + 140.0
            call pc_line(iwin,x1,y1,x2,y2)
            call pc_setdash(iwin,1)
            call pc_flush(iwin)
         endif
        enddo
      call pc_plotend(iwin,1)
      stop
      end
