	program etasx
        implicit real * 8 (a-h,o-z)
	character prog*128
        character etas_home*128
        dimension ifix(5)

        call getarg(1,prog)

        call getenv("ETAS_HOME",etas_home)
        ntext = len_trim(etas_home)

	if ( prog .eq. '' ) then
c	        prog = etas_home(1:ntext)//'/bin/etas > /dev/null'
c	        prog = etas_home(1:ntext)//'/bin/etas >> work.log 2>&1'
	        prog = etas_home(1:ntext)//'/bin/etas'
        endif
	
	open(10,file='etas.open')
	read(10,*) idum, idum
	read(10,*) zts, zte, tstart, tend
	read(10,*) amag0, xmag0
	read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
        read(10,*) (ifix(i),i=1,5)
	close(10)

c 1799 format(1p5(e13.6,1x))
 1799 format(5(1PE13.6,1X))
	
	loop=0
	gradient = 1.0e5
	do while ( gradient .gt. 1.0e-3 .and. loop .lt. 5) 
           loop=loop+1
           write(6,*) 'loop=', loop, 'grad=', gradient
           open(15,file='etas.open')
           write(15,*) '9 4'
           write(15,*) zts, zte, tstart, tend
           write(15,*) amag0, xmag0
ccc           write(15,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
           write(15,1799) etas_mu, etas_K, etas_c, etas_alpha, etas_p
           if ( loop .eq. 1 ) then
              write(15,*) '0 0 1 1 1'
           else
              write(15,*) (ifix(i),i=1,5)
           endif
           call flush(15)
           close(15)
           call system(prog)
ccc           call sleep(1)
           open(20,file='etas.out')
           read(20,*) idum, idum
           read(20,*) xdum, xdum, xdum, xdum
           read(20,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
           read(20,*) (ifix(i),i=1,5)
           do i=1,5
	      ifix(i)=0
           enddo
           read(20,*) aic2
           read(20,*) xdum
           read(20,*) gradient
           close(20)
        enddo
        write(6,*) 'LAST LOOP'
        write(6,*) 'grad=', gradient
        if ( gradient .gt. 1.0e-3 ) then
	   etas_K=10.0
           etas_alpha=1.0
           etas_p=0.9
        endif
	open(15,file='etas.open')
	write(15,*) '9 2'
	write(15,*) zts, zte, tstart, tend
	write(15,*) amag0, xmag0
ccc	write(15,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p
	write(15,1799) etas_mu, etas_K, etas_c, etas_alpha, etas_p
        write(15,*) (ifix(i),i=1,5)
        call flush(15)
	close(15)
	call system(prog)
        stop
	end
	
