      real xmag(17777),b(500),xdata(500),
     $     ydata1(500),ydata2(500),a(2)
      integer num(500),num2(500)
      character*80 label,title,buf,text,psfile
      character*128 catalog
      character*128 kfile
      parameter(LOG_AXIS=1,
     $     LIN_AXIS=0,
     $     ILINE  =0,
     $     ICIRCLE  =1,
     $     ITRIANGLE=4,
     $     IPLUS =3   )
      
c     call pc_clear(iwin)
      
      f1=5.2
      f2=5.8
      tick=1.8
      o1=3.0
      iframe_pen=5
      itick_pen=3
      igrid_pen=1
      
      X0=40.0
      Y0=35.0
      width=156.0
      height=140.0
      wwidth=216.0

      ipsflag=0
      scale=0.65
      winx0=20.0
      winy0=20.0

      kfile='work.res'//char(0)

      narg=iargc()
      call getenv("ETAS_CATALOG",catalog)
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-o') then
               psfile=buf(3:nbuf)
               ipsflag=1
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:2) .eq. '-x') then
               read(buf(3:nbuf),*) winx0
            endif
            if ( buf(1:2) .eq. '-y') then
               read(buf(3:nbuf),*) winy0
            endif
            if ( buf(1:2) .eq. '-i') then
               kfile=buf(3:nbuf)
            endif
         enddo
      endif

      eqmag1=9.9
      eqmag2=-9.9
      i=0
c      open(10,file='work.res')
      open(10,file=kfile)
      if ( kfile .eq. 'work.etasim') then
           read(10,*) buf
      endif
  3   read(10,*,end=4) j,xlon,xlat,xmagni,xtm,xdep,xnum
           i=i+1
           xmag(i)=xmagni
           if ( eqmag1 .ge. xmag(i) ) eqmag1 = xmag(i)
           if ( eqmag2 .le. xmag(i) ) eqmag2 = xmag(i)
      goto 3
  4   close(10)
      n=i
      write(0,*) eqmag1, eqmag2

cc      iwin=0
      call pc_pscode(iwin,iwin)
      title='Magnitude Frequency'//char(0)
      if (iwin .eq. 10 ) then
        title = 'etasxmf.ps'//char(0)
        wwidth=296.0
        X0=65.0
      endif
      if (ipsflag .eq. 1 ) then
        npsfile=len_trim(psfile)
        title=psfile(1:npsfile)//char(0)
      endif
      call pc_plotinit(iwin,title,winx0,winy0,wwidth,210.0,scale)
      nlen=len_trim(catalog)
      call pc_text(iwin,3.,0.5,3.,catalog(1:nlen),0.0,nlen,1)

      nm=int(10.0*(eqmag2-eqmag1))+1
      
      do i=1,nm
         num(i)=0
         num2(i)=0
      enddo
      
      do i=1,n
         l = int(10.0*(xmag(i) - eqmag1 + 0.05)) + 1
         num2(l) = num2(l) + 1
         do j=1,l
            num(j) = num(j) + 1
         enddo
      enddo
      
      do i=1,nm
c     xdata(i)=eqmag1+0.1*float(i-1) + 0.05
         xdata(i)=eqmag1+0.1*float(i-1) + 0.001
         ydata1(i)=float(num(i))
         ydata2(i)=float(num2(i))
c     write(6,*) xdata(i), num(i), num2(i)
      enddo
      
      call pc_setcolor(iwin,0,0,32)
      call meanscale(0,eqmag1,eqmag2,0,6,scxmin,scxmax,scxint,nint)
      scxmin=eqmag1
      scxmax=eqmag2
      call dataminmax(ydata1,nm,ymin,ymax)
      ymin=1.0
      call meanscale(0,ymin,ymax,1,6,scymin,scymax,scyint,nyint)
      scymin=1.
c     scxint2 = scxint/2.0
      scxint2 = 0.1
      call axis(iwin,X0,Y0,width,height,'W',scymin,scymax,scyint,
     $     LOG_AXIS,4,2,tick,f1,o1,f2,'Frequency',9)
      call axis(iwin,X0,Y0,width,height,'S',scxmin,scxmax,scxint,
     $     LIN_AXIS,4,2,tick,f1,o1,f2,'Magnitude',9)
      call axis(iwin,X0,Y0,width,height,'s',scxmin,scxmax,scxint2,
     $     LIN_AXIS,4,2,tick/2.,f1,o1,f2,'Magnitude',9)
      call axis(iwin,X0,Y0,width,height,'n',scxmin,scxmax,scxint,
     $     LIN_AXIS,4,2,tick,f1,o1,f2,'Magnitude',9)
      call axis(iwin,X0,Y0,width,height,'n',scxmin,scxmax,scxint2,
     $     LIN_AXIS,4,2,tick/2.,f1,o1,f2,'Magnitude',9)
      call pc_setcolor(iwin,255,0,32)
      size=2.5
      call dataplot(iwin,x0,y0,width,height,xdata,ydata1,nm,
     $     scxmin,scxmax,LIN_AXIS,scymin,scymax,LOG_AXIS,
     $     ICIRCLE,size,1,1,1,220)
      xx = x0 + 0.92 * width
      yy = y0 + 0.85 * height
      call pc_symbol(iwin,xx,yy,size,ICIRCLE,1)
      call pc_text(iwin, xx+3.0, yy, f1, 'N', 0., 1, 4)
      call pc_setcolor(iwin,255,128,0)
      call dataplot(iwin,x0,y0,width,height,xdata,ydata2,nm,
     $     scxmin,scxmax,LIN_AXIS,scymin,scymax,LOG_AXIS,
     $     ITRIANGLE,size,1,1,1,220)
      yy = yy - 6.0
      call pc_symbol(iwin,xx,yy,size,ITRIANGLE,1)
      call pc_text(iwin, xx+3.0, yy, f1, 'n', 0., 1, 4)
      
      
c------------------------------------------------------------------------
c     bVALUE
c------------------------------------------------------------------------
      do j=1,nm
         smag_min=eqmag1+0.1*float(j-1)
         call bvalue(xmag,n,smag_min,0.1,a,b(j))
	 if ( j.eq.1) then
            sa=a(1)
            ba=a(2)
            bv=b(j)
            write(6,'(a,f5.3,a,f5.3,a)') 
     $            'log n(M) = ', sa, ' - ', bv, ' M'
            write(6,'(a,f5.3,a,f5.3,a)') 
     $            'log N(M) = ', ba, ' - ', bv, ' M'
         endif
      enddo
      do j=1,nm
         xm=eqmag1+0.1*float(j-1)
ccc   ydata1(j)=0.1*10**(sa-bv*xm)
         ydata1(j)=10**(sa-bv*xm)
         ydata2(j)=10**(ba-bv*xm)
      enddo
      
      call dataminmax(b,nm,bmin,bmax)
      if(bmin.lt.0.) bmin=0.
      if(bmax.gt.3.) bmax=2.5
      call meanscale(0,bmin,bmax,0,8,scmin,scmax,scint,nint)
      call pc_setcolor(iwin,0,0,32)
      call axis(iwin,X0,Y0,width,height,'E',scmin,scmax,scint,
     $     LIN_AXIS,4,2,tick,f1,o1,f2,'bvalue',6)
      call axis(iwin,X0,Y0,width,height,'e',scmin,scmax,scint/2.,
     $     LIN_AXIS,4,2,tick/2.,f1,o1,f2,'bvalue',6)
      call pc_setcolor(iwin,0,255,64)
      size=2.5
      call dataplot(iwin,x0,y0,width,height,xdata,b,nm,
     $     scxmin,scxmax,LIN_AXIS,scmin,scmax,LIN_AXIS,
     $     IPLUS,size,1,1,1,220)
      yy = yy - 6.0
      call pc_symbol(iwin,xx,yy,size,IPLUS,1)
      call pc_text(iwin, xx+3.0, yy, f1, 'b', 0., 1, 4)
      write(text,'(a,f5.3,a,f5.3,a)') 'log n(M) = ', sa, ' - ', bv, ' M'
      call pc_setcolor(iwin,0,0,32)
      call pc_text(iwin, xx+3.0, y0+height-3.0, f1, text, 0., 26, 9)

      call pc_flush(iwin)

      iquit = 0
      xx=5.0
      yy=5.0
      if ( iwin .lt. 10 ) then
       call pc_setcolor(iwin, 0, 32, 64)
       call pc_rect(iwin, 1.0, 1.0, 40., 10.0, 0)
       call pc_setcolor(iwin, 255, 255, 0)
       call pc_text(iwin,20.0,7.0,7.0,' QUIT ',0.0,6,5)
      endif
      call pc_flush(iwin)
      do while ( iquit .lt. 1) 
        call pc_mouse(iwin,0,mm,xx,yy)
        if ( xx .lt. 45.0 .and. yy.lt. 15.0) iquit = 1
      enddo
      call pc_plotend(iwin,1)
      stop

      end
      
