      character*80 label,title,buf,text,psfile
      dimension x(50000),y(50000),r(500000),c(50000),s(50000), tt(50000)
      dimension ifix(5)
      character*1 fix(2)
      character*128 catalog
      fix(1)=' '
      fix(2)='*'
      ipsflag=0
      scale=0.8
      intm=0
      ilabel=0
      ilog=0
      iabsyr=0

      narg=iargc()
      call getenv("ETAS_CATALOG",catalog)
      if ( narg .lt.1 ) then
         iwin=0
      else
         do i=1,narg
            call getarg(i,buf)
            nbuf = len_trim(buf)
            if ( buf(1:2) .eq. '-w') then
               read(buf(3:nbuf),*) iwin
            endif
            if ( buf(1:2) .eq. '-o') then
               psfile=buf(3:nbuf)
               ipsflag=1
            endif
            if ( buf(1:2) .eq. '-s') then
               read(buf(3:nbuf),*) scale
            endif
            if ( buf(1:2) .eq. '-n') then
               read(buf(3:nbuf),*) intm
            endif
            if ( buf(1:2) .eq. '-L') then
               read(buf(3:nbuf),*) ilog
            endif
            if ( buf(1:2) .eq. '-l') then
               label=buf(3:nbuf)
               nlabel = len_trim(label)
               ilabel=1
            endif
         enddo
      endif
c      if ( narg .lt.1 ) then
c         iwin=0
c      else
c        call getarg(1,buf)
c        read(buf,*) iwin
c      endif
c      if ( narg .eq. 2 ) then
c       call getarg(2,psfile)
c        ipsflag=1
c      endif


Ceic02{tsuru}1436: more etas.out
C 9 2
C  0.  621.56311  0.00999999978
C  3.  7.19999981
C  0.  61.1984408  0.105569958  2.46152257  1.06832844
C -599.247714
C  621.56311
C  1.57814968E-11
      open(10,file='etas.out')
      read(10,*) idum,idum
      read(10,*) zts, tend, tstart
      read(10,*) amag0, xmag0
      read(10,*) etas_mu, etas_K, etas_c, etas_alpha, etas_p 
      read(10,*) (ifix(i),i=1,5)
      read(10,*) aic2
      read(10,*) zte
      read(10,*) gra
      close(10)

      tend=tend-zts
      zte=zte-zts
      tstart=tstart-zts
      zts=zts-zts
      izts=1
      itstart=1
      izte=1
      i=0
      open(10,file='work.res')
  3   read(10,*,end=4) j,xlon,xlat,xmag,xt,xdep,xnum
      if ( i .eq. 0 ) j0 = j
           i=i+1
           x(i) = j
c           x(i) = i + j0
           y(i) = xmag
           c(i) = -xdep
cc           s(i) = xnum - j0
           s(i) = xnum 
           tt(i) = xt
           if ( izts .gt. 0 .and. xt .ge. zts) then
cxxx                xzts=s(i)
                if ( i .gt. 1 ) then
                   xzts=(s(i)+s(i-1))*0.5
                else
                   xzts=s(i)
                endif
                izts = 0
           endif
           if ( itstart .gt. 0 .and. xt .ge. tstart) then
cxxx                xtstart=s(i)
                if ( i .gt. 1 ) then
                   xtstart=(s(i)+s(i-1))*0.5
                else
                   xtstart=s(i)
                endif
                xtstart=0.0
                itstart = 0
           endif
           if ( izte .gt. 0 .and. xt .ge. zte) then
c                xzte=s(i)
                dd1=abs(s(i-1)-x(i-1))
                dd2=abs(s(i)-x(i))
                if ( dd1 .ge. dd2) then
                  xzte=s(i)
                else
                  xzte=s(i-1)
                endif
                izte = 0
           endif
           if ( intm .gt. 0 ) then
                s(i)=xt
           endif
      goto 3
  4   close(10)
      n=i
      ttmax=tt(n)

cc      iwin=0
      call pc_pscode(iwin,iwin)
      title='ETAS'//char(0)
      if (iwin .eq. 10 ) title = 'etasz.ps'//char(0)
      if (ipsflag .eq. 1 ) then
	npsfile=len_trim(psfile)
        title=psfile(1:npsfile)//char(0)
      endif
      if ( iwin .ge. 10 ) then
        call pc_plotinit(iwin,title,20.0,20.0,296.0,210.0,scale)
      else
        call pc_plotinit(iwin,title,20.0,20.0,165.0,210.0,scale)
      endif
c      nlen=len_trim(catalog)
c      call pc_text(iwin,3.,0.5,3.,catalog(1:nlen),0.0,nlen,1)
      if ( ilabel .gt. 0 ) then
          call pc_text(iwin,3.,205.0,3.,label(1:nlabel),0.0,nlabel,7)
      endif
c       call dataminmax(x,n,xmin,xmax)
      call dataminmax(s,n,xmin,xmax)
      call meanscale(0,xmin,xmax,0,11,
     $                     scxmin,scxmax,scxint,nxint)
ccc      scxmin = 0.0 - scxint/2.0
      scxmax = xmax
      call dataminmax(y,n,ymin,ymax)
      call meanscale(0,ymin,ymax,0,6,
     $                     scymin,scymax,scyint,nyint)
ccc                           scymin=0.0
                           scymin=ymin-0.3
                           scymax=ymax+0.3
      call dataminmax(c,n,cmin,cmax)
      call meanscale(0,cmin,cmax,0,10,
     $                     sccmin,sccmax,sccint,ncint)
      sccmin=cmin
      sccmax=cmax
      x0 = 30.0
c      if ( iwin .eq. 10 ) then
c	y0 = 100.0
c      else
      y0 = 70.0
c      endif
c      w = 170.0
      w = 110.0
      h = 110.0
      ilogaxis = 0
      iaxispen = 4
      itickpen = 2
      tick = 2.0
      f1 = 4.8
      o1 = 2.0
      f2 = 4.8

cc      text='Depth'
cc      ntext = 5
cc      call pc_text(iwin,x0+w/2.0,y0+h+f2,f1,text,0.0,ntext,2)

      call pc_setdash(iwin,2)
cc      t0 = 0.0
      t0 = xzts
      if ( intm .gt. 0 ) then
        t0 = zts 
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      if ( intm .eq. 0 ) then
      call pc_line(iwin,x1,y1,x2,y2)
      endif
      t0 = xtstart
      if ( intm .gt. 0 ) then
        t0 = tstart 
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = xzte
      if ( intm .gt. 0 ) then
      t0 = zte 
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = s(n)
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)

      label = 'Depth'
      nlength = 5
      call axis(iwin,x0,y0,w,h,'W',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',sccmin,sccmax,sccint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'TRANSFORMED TIME'
      nlength = 16
      if ( intm .gt. 0 ) then
        label = 'ORDINARY TIME (Day)'
        nlength = 19
      endif
      call axis(iwin,x0,y0,w,h,'s',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
c      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
c     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
c=============================================================
c  2016/1/16
c  実時間のt=0.01, 0.1, 1, 10, 100, 1000 をプロットする
      scxint_l=1.0e10
cc      if ( ttmax .lt. 3650. and. intm .eq. 0) then
cc        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint_l,
cc     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
cc      else
cc       if ( intm .eq. 1 .and. ttmax .lt. 3650.0) then
cc        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
cc     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
cc       else
cc        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint_l,
cc     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
cc       endif
cc      endif
      if ( ttmax .lt. 3650. and. intm .eq. 1) then
        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      else
        call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint_l,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      endif
c===================================================================================
c 年をプロットする．
      fyr=ttmax/365.0
      if ( fyr .ge. 10.0 ) then
        open(10,file='work.etas')
        read(10,*) text
        read(10,*) idum, xdum, xdum, xdum, xdum, xdum, 
     $             iabsyr, iabsmo, iabsdy
        close(10)
      endif
      if ( iabsyr .gt. 0 ) then
        fnyr1=0.0 + iabsyr
        fnyr2=ttmax/365.0 + iabsyr
        call meanscale(0,fnyr1,fnyr2,0,10,
     $                   fyrmin,fyrmax,fyrint,nyrint)
c        write(0,*) fyrmin,fyrmax,fyrint
        iyrmin=fyrmin+fyrint
        iyrmax=fyrmax+fyrint
        iyrint=fyrint
c        write(0,*) iyrmin,iyrmax,iyrint
        if ( iyrint .gt. 0 ) then
        do i=iyrmin,iyrmax,iyrint
           xx=julday(iabsmo,iabsdy,i)-julday(iabsmo,iabsdy,iabsyr)
           call interp(tt,s,n,xx,yy)
c           write(0,*) i, xx, scxmin, yy, scxmax
           t0 = yy
           x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 + h 
           y2 = y1 + tick
cc           y1 = y0
cc           y2 = y1 + tick
           if ( yy.ge.scxmin .and. yy.le.scxmax) then
              call pc_line(iwin,x1,y1,x2,y2)
              write(text,'(i2.2)') mod(i,100)
              call pc_text(iwin,x1,y2+tick/2.0,f2,text,0.0,2,2)
           endif
        enddo
        do i=iyrmin,iyrmax,1
           xx=julday(iabsmo,iabsdy,i)-julday(iabsmo,iabsdy,iabsyr)
           call interp(tt,s,n,xx,yy)
c           write(0,*) i, xx, scxmin, yy, scxmax
           t0 = yy
           x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 + h
           y2 = y1 + 0.5*tick
           if ( yy.ge.scxmin .and. yy.le.scxmax) then
              call pc_line(iwin,x1,y1,x2,y2)
           endif
        enddo

        endif
      endif
c===================================================================================


      if ( ttmax .lt. 3650.0 .and. intm .eq. 0 ) then
      xx=0.01
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'0.01',0.0,4,2)
      endif
      xx=0.1
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'0.1',0.0,3,2)
      endif
      xx=1.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'1',0.0,1,2)
      endif
      xx=10.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'10',0.0,2,2)
      endif
      xx=100.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'100',0.0,3,2)
      endif
      xx=1000.0
      call interp(tt,s,n,xx,yy)
      t0 = yy
      x1 = x0 + w * (t0 -scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0 + h 
      y2 = y1 + tick
      if ( yy.ge.scxmin .and. yy.le.scxmax) then
        call pc_line(iwin,x1,y1,x2,y2)
        call pc_text(iwin,x1,y2+tick,f2,'1000',0.0,4,2)
      endif
      endif
c=============================================================








      call pc_setcolor(iwin,255,0,64)
c      call dataplot(iwin,x0,y0,w,h,s,c,n,
c     $     scxmin,scxmax,0, sccmin,sccmax,0,
c     $     1,2.0,1,2,0,220)
      do i=1,n
         xx= x0 + w * ( s(i) - scxmin) / ( scxmax - scxmin)
         yy= y0 + h * ( c(i) - sccmin) / ( sccmax - sccmin)
         size = 0.6 + 0.5*(y(i)-ymin)
         call pc_circle(iwin,xx,yy,size,1)
      enddo
      call pc_flush(iwin)

c      if ( iwin .eq. 10 ) then
c        y0 = 60.0
c      else
        y0 = 30.0
c      endif
      h = 35.0
      call pc_setcolor(iwin,0,0,0)
      label = 'MAGNITUDE'
      nlength = 9
      call axis(iwin,x0,y0,w,h,'W',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'e',scymin,scymax,scyint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      label = 'TRANSFORMED TIME'
      nlength = 16
      if ( intm .gt. 0 ) then
        label = 'ORDINARY TIME (Day)'
        nlength = 19
      endif
      call axis(iwin,x0,y0,w,h,'S',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)
      call axis(iwin,x0,y0,w,h,'n',scxmin,scxmax,scxint,
     $     ilogaxis,iaxispen,itickpen,tick,f1,o1,f2,label,nlength)

      call pc_setdash(iwin,2)
cx      t0 = 0.0
      t0 = xzts
      if ( intm .gt. 0 ) then
        t0 = zts
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      if ( intm .eq. 0 ) then
      call pc_line(iwin,x1,y1,x2,y2)
      endif
      t0 = xtstart
      if ( intm .gt. 0 ) then
        t0 = tstart
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = xzte
      if ( intm .gt. 0 ) then
        t0 = zte
      endif
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      t0 = s(n)
      x1 = x0 + w * (t0 - scxmin)/(scxmax-scxmin)
      x2 = x1
      y1 = y0
      y2 = y0 + h
      call pc_line(iwin,x1,y1,x2,y2)
      call pc_setdash(iwin,1)


      call pc_setcolor(iwin,0,0,0)
      call pc_setline(iwin,1)
      do i=1,n
c           x1 = x0 + w * (x(i)-scxmin)/(scxmax-scxmin)
           x1 = x0 + w * (s(i)-scxmin)/(scxmax-scxmin)
           x2 = x1
           y1 = y0 
           y2 = y0 + h * (y(i)-scymin)/(scymax-scymin)
c           call pc_line(iwin,x1,y1,x2,y2)
           call pc_plus(iwin,x2,y2,1.2,1)
cc           write(6,*) y(i)
      enddo
      call pc_flush(iwin)
c/ normal plot
      iquit = 0
      xx=5.0
      yy=5.0
      if ( iwin .lt. 10 ) then
       call pc_setcolor(iwin, 0, 32, 64)
       call pc_rect(iwin, 1.0, 1.0, 40., 10.0, 0)
       call pc_setcolor(iwin, 255, 255, 0)
       call pc_text(iwin,20.0,7.0,7.0,' QUIT ',0.0,6,5)
      endif
      call pc_flush(iwin)
      do while ( iquit .lt. 1) 
        call pc_mouse(iwin,0,mm,xx,yy)
        if ( xx .lt. 45.0 .and. yy.lt. 15.0) iquit = 1
      enddo
      call pc_plotend(iwin,1)
      stop
      end
