c     // MENU
      subroutine menu(iwin,x0,y0,n_menu,cmenu,imenu)
c=======================================================================
c     PURPOSE: SHOW MENU
c=======================================================================
c     INPUT ARGUMENTS:
c     iwin:
c     (x0,y0): UPPER LEFT CORNER POSITION
c     n_menu:
c     me:
c     cmenu:
c=======================================================================
c     OUTPUT ARGUMENTS:
c     imenu: Number from 1 to n_menu
c=======================================================================
c     //SUBROUTINE CALL: xgtool
c=======================================================================
c     MODIFICATION HISTORY
c     AUG 26, 1994 ORIGINAL VERSION
c     SEP  2, 1994 make color structure
c     SEP  4, 1994 pc_rect + pc_roundrect
c=======================================================================
      character*10 cmenu(n_menu)
c=======================================================================
c     COLOR SETTING 
c=======================================================================
c     TEXT COLOR  (0,47,128)
c     cm(1).r=0
c     cm(1).g=47
c     cm(1).b=128
c     BACK COLOR  (230,230,230),(154,222,159)
c     cm(2).r=230
c     cm(2).g=230
c     cm(2).b=230
c      cm(1)=me.cm(1)
c      cm(2)=me.cm(2)
c=======================================================================
c     SHAPE: 0-> RECT 
c     1-> ROUNDRECT
c=======================================================================
      ishape=0
      iwaku=1
      textsize=5.0
      wx=30.
      wy=7.
      height=wy*n_menu
      y=y0-height
      call pc_setline(iwin,4)
      call pc_setcolor(iwin,255,255,255)
      if(ishape.eq.1) then
	 xx=x0-0.6
	 yy=y+0.6
         call pc_roundrect(iwin,xx,yy,wx,height,0)
         call pc_setcolor(iwin,0,47,128)
	 xx=x0+0.75
	 yy=y-0.75
         call pc_roundrect(iwin,xx,yy,wx,height,0)
	 if(iwaku.eq.1) then
            call pc_roundrect(iwin,x0,y,wx,height,1) ! waku
	 endif
cc         call pc_setcolor(iwin,230,230,230)
         call pc_setcolor(iwin,0,32,64)
         call pc_roundrect(iwin,x0,y,wx,height,0)
      else 
         xx=x0-0.6
         yy=y+0.6
         call pc_rect(iwin,xx,yy,wx,height,0)
cc	 call pc_setcolor(iwin,0,47,128)
	 call pc_setcolor(iwin,0,0,0)
         xx=x0+0.75
         yy=y-0.75
         call pc_rect(iwin,xx,yy,wx,height,0)
	 if(iwaku.eq.1) then
            call pc_rect(iwin,x0,y,wx,height,1) ! waku
	 endif
cc	 call pc_setcolor(iwin,230,230,230)
	 call pc_setcolor(iwin,0,32,64)
         call pc_rect(iwin,x0,y,wx,height,0)
      endif
cc      call pc_setcolor(iwin,0,47,128)
       call pc_setcolor(iwin,255,255,0)
      do i=1,n_menu
         x1=x0
         y1=y0-wy*float(i)
         x=x1+2.0
         y=y1+wy/2.
	 angle=0.
	 ntext=10
	 ipos=4
c	 write(6,'(f7.1,f7.1,a10)') x,y,cmenu(i)
         call pc_text(iwin,x,y,textsize,cmenu(i),angle,ntext,ipos)
      enddo
      call pc_flush(iwin)
      idown=0
      do while(idown.ne.1)
	 itype=2
         call pc_mouse(iwin,itype,m,x,y)
         imenu=int((y0-y)/wy)+1
         if((x.ge.x0.and.x.le.x0+wx).and.
     $        (imenu.ge.1.and.imenu.le.n_menu)) then
 10         idown=1
            cx1=x0+1.
            cx2=x0+wx-1.
            cy1=y0-float(imenu)*wy+1.
            cy2=y0-float(imenu+1)*wy-1.
            y1=y0-float(imenu)*wy+wy/2.
            call pc_setline(iwin,1)
            call pc_setcolor(iwin,0,47,128)
            if(ishape.eq.1) then
	       yy=cy1-1.0
               call pc_roundrect(iwin,x0,yy,wx,wy,0)
            else
	       yy=cy1-1.0
               call pc_rect(iwin,x0,yy,wx,wy,0)
            endif
            call pc_setcolor(iwin,230,230,230)
	    angle=0.
	    xx=x0+2.
	    ntext=8
	    ipos=4
            call pc_text(iwin,xx,y1,textsize,
     $                         cmenu(imenu),angle,ntext,ipos)
         else
	    call pc_bell(iwin,50)
         endif
      enddo
      call pc_flush(iwin)
c     write(6,*) 'imenu=',imenu
      return
      end
