c // JULDAY
      FUNCTION JULDAY(MM,ID,IYYY)
c=======================================================================
c THIS ROUTINE FROM NUMERICAL RECIPES
c=======================================================================
      PARAMETER (IGREG=15+31*(10+12*1582))
      IF (IYYY.EQ.0) PAUSE 'There is no Year Zero.'
      IF (IYYY.LT.0) IYYY=IYYY+1
      IF (MM.GT.2) THEN
        JY=IYYY
        JM=MM+1
      ELSE
        JY=IYYY-1
        JM=MM+13
      ENDIF
      JULDAY=INT(365.25*JY)+INT(30.6001*JM)+ID+1720995
      IF (ID+31*(MM+12*IYYY).GE.IGREG) THEN
        JA=INT(0.01*JY)
        JULDAY=JULDAY+2-JA+INT(0.25*JA)
      ENDIF
      RETURN
      END
c // CALDAT
      SUBROUTINE CALDAT(JULIAN,MM,ID,IYYY)
c=======================================================================
c THIS ROUTINE FROM NUMERICAL RECIPES
c=======================================================================
      PARAMETER (IGREG=2299161)
      IF(JULIAN.GE.IGREG)THEN
        JALPHA=INT(((JULIAN-1867216)-0.25)/36524.25)
        JA=JULIAN+1+JALPHA-INT(0.25*JALPHA)
      ELSE
        JA=JULIAN
      ENDIF
      JB=JA+1524
      JC=INT(6680.+((JB-2439870)-122.1)/365.25)
      JD=365*JC+INT(0.25*JC)
      JE=INT((JB-JD)/30.6001)
      ID=JB-JD-INT(30.6001*JE)
      MM=JE-1
      IF(MM.GT.12)MM=MM-12
      IYYY=JC-4715
      IF(MM.GT.2)IYYY=IYYY-1
      IF(IYYY.LE.0)IYYY=IYYY-1
      RETURN
      END
