/*--------------------------------------------------------------------
 *    The GMT-system:	@(#)pslib.h	2.9  7/20/93
 *
 *    Copyright (c) 1991 by P. Wessel and W. H. F. Smith
 *    See README file for copying and redistribution conditions.
 *--------------------------------------------------------------------*/
/*
 *
 * This include file must be included by all programs using pslib.a
 *
 * Author:	Paul Wessel
 * Date:	9-JAN-1991
 */

int ps_line();
int ps_plotinit();
int ps_shorten_path();
void ps_arc();
void ps_axis();
void ps_circle();
void ps_clipoff();
void ps_clipon();
void ps_colorimage();
void ps_colortiles();
void ps_command();
void ps_comment();
void ps_cross();
void ps_diamond();
void ps_ellipse();
void ps_hexagon();
void ps_image();
void ps_imagec();
void ps_imagefill();
void ps_imagergb();
void ps_itriangle();
void ps_pie();
void ps_plot();
void ps_plotend();
void ps_plotr();
void ps_polygon();
void ps_rect();
void ps_patch();
void ps_rotatetrans();
void ps_setdash();
void ps_setfont();
void ps_setformat();
void ps_setline();
void ps_setpaint();
void ps_square();
void ps_star();
void ps_text();
void ps_textbox();
void ps_transrotate();
void ps_triangle();
void ps_vector();

/* For Encapsulated PostScript Headers:

   You will need to supply a pointer to an EPS structure in order to
   get correct information in the EPS header.  If you pass a NULL pointer
   instead you will get default values for the BoundingBox plus no
   info is provided about the users name, document title, and fonts used.
   To fill in the structure you must:
   
   - Determine the extreme dimensions of your plot in points (1/72 inch).
   - Supply the user's name (or NULL)
   - Supply the document's title (or NULL)
   - Set the font pointers to point to character arrays that has the full
     font name (e.g. Helvetica-Bold).  First unused pointed must be set
     to NULL.  E.g., if 4 fonts are used, font[0], font[1], font[2], and
     font[3] must point to strings with the correct name; font[4] = NULL.
*/

struct EPS {	/* Holds info for eps files */
	int x0, x1, y0, y1;	/* Bounding box values in points */
	char *font[N_FONTS];	/* Pointers to font names used */
	char *name;		/* User name */
	char *title;		/* Plot title */
};
